        subroutine stelle(zzahl,czahl,leng,iexpo)
C ***
C ***   zzahl   > R     number to convert
C ***   czahl   < C     converted number as string
C ***   leng    < I     length of czahl in characters
C ***   iexpo   < I     exponent if zzahl .gt. 1e6
C ***
C ***   $Log: stelle.f,v $
C ***   Revision 1.6  2003/01/03 00:17:01  michael
C ***   Fixed spurious space between minus sign and number for numbers between
C ***   0 and -1.  This is a hack as I didn't understand the original algorithm.
C ***
C ***   Revision 1.5  2002/12/22 22:49:10  michael
C ***   Comments...
C ***
C ***   Revision 1.4  2002/12/22 22:10:22  michael
C ***   Minor code layout cosmetics.
C ***
C ***   Revision 1.3  2002/12/13 21:03:13  michael
C ***   Few comments added.
C ***
C ***   Revision 1.2  2002/12/13 21:02:22  michael
C ***   *** empty log message ***
C ***
C ***

        character*(*) czahl, cz*13, form*7
        logical meins, fst

	fst = .false.
	go to 3

        entry fstelle(zzahl,czahl,leng,iexpo)
C ***
C ***   same as stelle but keep some fixed number of decimal places 
C ***   for numbers .lt. 10 or something like that.
C ***
	fst = .true.

3	continue
        write(cz,'(e13.6)') zzahl
        read(cz,'(e13.6)') zahl

        if(zahl.eq.0) then
           czahl='0'
           leng=1
           iexpo=0
           return

        end if


	if( (abs( zahl ) .lt. 10.) .and. fst ) then
	   form = '(f9.5)'
	   meins = .false.
	else
	   fst = .false.
	   form = '(g13.6)'
	end if
        sgn=sign(1.,zahl)
        zahl=abs(zahl)
	if( .not.fst ) then
           expo=log10(zahl)
           iexpo=int(expo)
           if((expo.eq.iexpo).and.(iexpo.lt.0)) iexpo=iexpo+1
           if(iexpo.eq.-1) then
              iexpo=0
              meins=.true.
           else
              meins=.false.
           end if
           if((iexpo.ge.0).and.(iexpo.lt.6)) then
              iexpo=0
           end if
           zahl=zahl/(10.**iexpo)
        end if

	write(cz, form ) zahl
        if(meins) then
           do i=8,4,-1
              cz(i+1:i+1)=cz(i:i)
           end do
           cz(4:4)='0'
           cz(10:)=' '
        end if
        np=0
        do i=9,3,-1
           n0=i
           if(cz(i:i).eq.'.') np=i
           if(cz(i:i).ne.'0') go to 1
        end do

1       continue
        if(np.ne.0) then
           leng=np-3
           la=3
           le=leng+2
        else
           if(zahl.ge.1) then  ! don't know why not always taken
              leng=n0-2
              la=3
              le=leng+2
           else                ! this branch is probably not necessary
              leng=n0-1
              la=2
              le=leng+1
           end if
        end if
        if( cz(la:la) .eq. ' ' ) then  ! hack, see above zahl.ge.1
           la = la + 1
           leng = leng - 1
        end if ! hack
        if(sgn.eq.1.) then
           czahl=cz(la:le)
        else
           czahl='-'//cz(la:le)
           leng=leng+1
        end if

        end
