        function ash( r, d, n, k )
C ***
C ******************************************************************************
C ***
C ***	Asymtotic Profil Hydrogen
C ***
C ******************************************************************************
C ***
	implicit none
C ***
C ***	Parameters
C ***
	real ash, r, d
	integer n, k
C ***
C ***	Local variables
C ***
	real x, xp, rd, dd
C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
	include 'PRES.INC'
	include 'LINE.INC'

        xp( x ) = exp( x*2.30258E0 )

        dd = max( 0.0125, d )
        rd = sqrt( dd )
        ash = ( 1. + sqrt(sqrt(1./(1. + 1./(r*rd)**4))) +
     >        rad(k)*xp(phlg(n) - pelg(n))*rd )/( dd*dd*rd )

        end
