	subroutine de
C ***
C ******************************************************************************
C ***
C ***	Module DELETA and ETA_INIT.
C ***
C ***	This entry (DE) must not be called.
C ***
C ***	23-JUN-1992 21:20:14.51
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	real value(*), diff(*), exp_diff(*)

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
	include 'CALCUL.INC'

C ***
C ***	Functions
C ***
	real xp

C ***
C ***	Local variables
C ***
        integer m
	real x, last_value( nfit )
	save last_value

C ***
C ***	Statement functions
C ***
      	xp( x ) = exp( x*2.30258e0 )

	stop 'DE must not be called.'

C ******************************************************************************
C ***
	entry eta_init( value )
C ***         ========
C ***
C ******************************************************************************
C ***
C ***	Initializes LAST_VALUE for DELETA.
C ***
C ***	Arguments:
C ***
C ***	   VALUE	> R	New abundances et al.
C ***
C ***	23-JUN-1992 17:50:57.78
C ***
C ******************************************************************************
C ***

	do m = 1, mfit
           last_value( m ) = value( m )
	end do
	return

C ******************************************************************************
C ***
	entry deleta( value, diff, exp_diff )
C ***         ======
C ***
C ******************************************************************************
C ***
C ***	Computes update factors for ETA0.
C ***
C ***	Arguments:
C ***
C ***	   VALUE	> R	New abundances et al.
C ***	   DIFF		< R	Differences from last call
C ***	   EXP_DIFF	< R	10**DIFF
C ***
C ***	23-JUN-1992 17:50:57.78
C ***
C ******************************************************************************
C ***

	do m = 1, mfit
	   if( fit_item(m) .ge. 98 ) then
	      diff( m ) = value( m ) - last_value( m )
      	      exp_diff( m ) = xp( diff(m) )
              last_value( m ) = value( m )
	   end if
	end do
        
	end
