	function hyp2f1( a, b, c, x )
C ***
C ******************************************************************************
C ***
C ***	Hypergeometric Function.
C ***
C ***	 2-JUN-1994 15:54:16.00
C ***
C ***	Modifications:
C ***
C ***	23-AUG-1994 20:29:41.00		ML / IoA.  Converted to double prec.
C ***
C ******************************************************************************
C ***
	implicit none
	double precision a, b, c, x, hyp2f1

	double precision si
	double precision i

	si = 1.d0

	hyp2f1 = si
	i = 0.d0
	do while( abs(si/hyp2f1) .gt. 1.d-4 )
	   si = si*(a+i)*(b+i)/((i+1.d0)*(c+i))*x
           hyp2f1 = hyp2f1 + si
           i = i + 1.d0
	end do

	end
