        subroutine limout
C ***
C ******************************************************************************
C ***
C ***   Write fit ranges to LIMITS.DAT.
C ***
C ***   LIMITS.DAT containes ranges where *not* to fit.  Note this is
C ***   different from what is written to the line printer file.
C ***
C ***
C ***   23-NOV-1994 20:40:29.00         ML / IoA.  Created.
C ***
C ******************************************************************************
C ***
        implicit none

C ***
C ***   Global variables
C ***
        include 'LINLTE.INC'
        include 'FILES.INC'
	include 'OBS.INC'
	include 'PROFIL.INC'

C ***
C ***   Local variables
C ***
	logical discard
	integer i
        real start, end



C ***
C ***   Assume LIMITS.DAT is already open
C ***
        start = lamobs(cbmin)
        discard = fit_mask(1) .eq. 0
        do i = cbmin, cbmax
           if( fit_mask(i) .lt. fit_mask(i-1) ) then
C ***      
C ***         1 -> 0 = start of discarded area
C ***      
              start = lamobs( i )
              discard = .true.
           else if( fit_mask(i) .gt. fit_mask(i-1) ) then
C ***      
C ***         0 -> 1 = end of discarded area
C ***      
              end = lamobs( i - 1 )
              write( LIMITS_DAT, * ) start, end
              discard = .false.
           end if
        end do
        if( discard ) write( LIMITS_DAT, * ) start, lamobs(cbmax) ! last point
        write( LIMITS_DAT, * ) -5, -5

        end
           
