      SUBROUTINE FIT(W)
C   COMPUTES PG , PE AND DENSNC FOR GIVEN TAU AND P
C   CHANGES W(2) , W(3) , W(8)
C   W(1)=LOG P;W(2)=LOG PG;W(3)=LOG PE;W(4)=LOG TAU;W(5)=R
C   W(6)=LOG KAPPA;W(7)=LOG SIGMA;W(8)=DENSNC

      COMMON/ARL/TAU(70),THETA(70),XI(70),ALGK(70),ALGS(70),ALTAU(70),
     *ALTHET(70),ALXI(70),R(70),DENSNC(70),ALP(3,70)
      COMMON/ARX/GT(6),GE(6),DGT(6),DGE(6)
      COMMON/CONST/ALN10,BOLTZK,HPLANC,CLIGHT
      INCLUDE 'INT.INC'
C
      DIMENSION W(8)
C
      DELTA=0.0001
      M=2
      IF(W(4).LT.ALTAU(2))M=1
      CALL PRE(M,I,GT,DGT,ALTAU,LMAX,W(4),.FALSE.)
      ALT=T1(M,I,GT,ALTHET)
      TEMP=5040./EXP(ALN10*ALT)
      TT=EXP(ALN10*T1(M,I,GT,ALXI))
      PE0=W(3)
      CALL IONDIS(TEMP,EXP(ALN10*PE0),1,1,PGAS,DNC0)
      W20=ALOG10(PGAS)
      NMYPG=NMYPG+1
      D0=W(1)-ALOG10(PGAS+TT*DNC0)
      ITNUM=1
      IF(D0.EQ.0.)GOTO 99
      PE1=PE0+SIGN(0.7*D0,D0)
      IF(.5*DELTA.GT.ABS(0.7*D0))PE1=PE0+SIGN(.5*DELTA,D0)
C   ***********************************************************
C   BEGIN OF LOOP
  100 CALL IONDIS(TEMP,EXP(ALN10*PE1),1,1,PGAS,DNC1)
      W21=ALOG10(PGAS)
      NMYPG=NMYPG+1
      D1=W(1)-ALOG10(PGAS+TT*DNC1)
      ITNUM=ITNUM+1
      S=(D1-D0)/(PE1-PE0)
      IF(ABS(DELTA*S).GT.ABS(D1))GOTO 88
      IF(ITNUM.GE.10)GOTO 75
      PE0=PE1
      D0=D1
      PE1=PE0-D0/S
      GOTO 100
C   *******************************************************
   99 CONTINUE
      W(2)=W20
      W(8)=DNC0
      RETURN
   88 W(3)=PE1
      W(2)=W21
      W(8)=DNC1
      RETURN
   75 WRITE(*,750)ITNUM,PE1,PE0,D1,D0
  750 FORMAT(1X,31HNO SUCCESSFUL RETURN FROM FIT ]/I5,5X,1P4E14.3)
      CALL EXIT
      END
