      SUBROUTINE LINOP(N,NSTEPS,STEPWT,AVE)
C ***
C ******************************************************************************
C ***
C ***   Version mit Skalierungsmoeglichkeit der ODF zwischen SCLMIN und SCLMAX 
C ***   mit Faktor SCDF (Korrektur fuer "missing UV opacity").
C ***
C ***    31-MAY-1988 13:15:03 
C ***
C ******************************************************************************
C ***
        include 'MOD_SIZ.INC'
        include 'MODEL_RA.INC'
        include 'WAVELE_R.INC'
        include 'OPAC_RAT.INC'
      real*4 STEPS(9,29,10), wlbeg, wlend
      DIMENSION WT(10)
      DIMENSION CO1(50), CO2(50), CO3(50), CO4(50), INEJ(50), ITJ(50)
      DIMENSION TABT(29), TABNE(9)
      SAVE
      DATA TABT /3.48,3.52,3.56,3.60,3.64,3.68,3.72,3.76,3.80,3.84,3.88,
     1 3.92,3.96,4.0,4.05,4.10,4.15,4.20,4.25,4.30,4.35,4.40,4.45,4.5,
     2 4.6,4.7,4.8,4.9,5.0/
      DATA TABNE /17.,16.,15.,14.,13.,12.,11.,10.,9./
      DATA ITEMP1 /0/
      DATA TENLOG /2.30258509299405E0/
      IF( ITEMP1 .EQ. 1 ) GO TO 20
      ITEMP1 = 1
      DO 15 J = 1, NDEPTH
         TL = LOG10( TEMP(J) )
         DO 10 IT = 2, 29
            IF( TL .LT. TABT(IT) ) GO TO 11
   10    CONTINUE
         IT = 29
   11    XNELOG = PELG(J) - TL + 15.859926
         DO 12 INE = 2, 9
            IF( XNELOG .GT. TABNE(INE) ) GO TO 13
   12    CONTINUE
         INE = 9
   13    INEJ(J) = INE
         ITJ(J) = IT
         X = ( TL - TABT(IT-1) )/( TABT(IT) - TABT(IT-1) )
         Y = ( XNELOG - TABNE(INE-1) )/( TABNE(INE) - TABNE(INE-1) )
         CO1(J) = ( 1. - X )*( 1. - Y )*TENLOG
         CO2(J) = ( 1. - X )*Y*TENLOG
         CO3(J) = X*( 1. - Y )*TENLOG
         CO4(J) = X*Y*TENLOG
   15 CONTINUE
      WT(1) = 1./60.
      WT(2) = 2./60.
      WT(3) = 3./60.
      WT(4) = 6./60.
      WT(5) = 6./60.
      WT(6) = 6./60.
      WT(7) = 6./60.
      WT(8) = 10./60.
      WT(9) = 10./60.
      WT(10) = 10./60.
      WLBEG = 1.E37
   20 WAVE = LAMBDA*1.E-1
      IF( WAVE .LT. WLBEG ) THEN
         REWIND 9
         WLEND = 0.
      END IF
   21 IF( WAVE .GE. WLEND ) THEN 
         READ( 9 ) WLBEG, WLEND, STEPS
         GO TO 21
      END IF
   22 NSTEPS = 10
      STEPWT = WT(N)
      IF( LAMBDA .GE. SCLMIN .AND. LAMBDA .LE. SCLMAX ) THEN
         STEPSC = SCDF
      ELSE
         STEPSC = 1.
      END IF
      DO 25 J = 1, NDEPTH
         IT = ITJ(J)
         INE = INEJ(J)
         RLINE(J) = STEPSC*EXP( CO1(J)*STEPS(INE - 1, IT - 1, N) + 
     >     CO2(J)*STEPS(INE, IT-1, N) + CO3(J)*STEPS(INE-1, IT, N) + 
     >     CO4(J)*STEPS(INE, IT, N) )*AVE
   25 CONTINUE
      RETURN
      END
