C ***
C ***
C ******************************************************************************
C ***
C ***	Dimension of model atom:
C ***                ===== ====
C ***
C ***	M_LINES:	max. number of lines in model atom
C ***	M_LEVELS:	max. number of levels in model atom
C ***   M_FIX_RATES:	max. number of lines with fixed rates
C ***
C ***
	integer m_lines, m_levels, m_fix_rates
	parameter( m_lines = 250, m_levels = 100, m_fix_rates = m_levels
     >	         )
C ***
C ***
C ***	Dimension of atmosphere:
C ***                ==========
C ***
C ***	M_DEPTH:	max. number of depth points
C ***	M_MAI:		max. number of elements in model atmosphere/ABU.DAT...
C ***	M_IONS:		max. number of ion stages in model atmosphere
C ***	M_MAXZ:		max. number of species in model atmosphere
C ***
C ***
	integer m_ions, m_maxz
	parameter( m_ions = 5, m_maxz = 90 )

	integer m_depth, m_mai
	parameter( m_depth = 50, m_mai = 41 )
C ***
C ***
C ***	Dimension of various other things:
C ***                        ============
C ***
C ***	M_GRID:		max. number of frequency points per line
C ***   M_KMA:		max. number of lines in multiplet
C ***
	integer m_grid, m_kma
	parameter( m_grid = 500, m_kma = 12 )
C ***
C ***
C ***	Derived parameters
C ***   =======
C ***
C ***	M_COLL:		number of unique coll x-sect.
C ***
	integer m_coll
	parameter( m_coll = m_levels*(m_levels - 1)/2 )
C ******************************************************************************
C ***
