      SUBROUTINE RATCAL
C ***
C *** 22-MAY-1991 21:49:00.88
C *** 13-MAY-1995 17:49:28.00	ML / IoA.  Include files.
C *** 17-MAY-1996 13:46:30.07	ML / Bamberg.  Removed COMMON V,
C ***                           pass dimension of C to COLRAT
C ***
      INCLUDE 'MOD_SIZ.INC'

      INTEGER F_RIJ, F_FIXRAD, F_RADIAT, F_CIJ, F_CIJ_IDL
      PARAMETER( F_RIJ = 2, F_FIXRAD = 20, F_RADIAT = 22, F_CIJ = 34,
     >           F_CIJ_IDL = 35 )

      LOGICAL IREAD

      real A(M_LEVELS,M_LEVELS), C(M_LEVELS,M_LEVELS)
C ***
C *** For output only. Somewhat a waste of memory, but it's late now...
C ***
      REAL R(M_LEVELS, M_LEVELS)
C ***
C ***
      INTEGER UPF
      LOGICAL PHOR
      REAL JNU
      include 'NNS.INC'
      include 'MODEL.INC'
      include 'LEVEL.INC'
      INCLUDE 'POP.INC'
      COMMON /FIXRAD/ NRFIX, LOWF(M_FIX_RATES), UPF(M_FIX_RATES),
     >  PHOR(M_FIX_RATES), OCR(M_FIX_RATES)

      XP( X ) = EXP( X*2.30258 )

      IREAD = .FALSE.
      OPEN( F_RIJ, FILE = 'RIJ',  FORM = 'UNFORMATTED' )
      OPEN( F_FIXRAD, FILE = 'FIXRAD', FORM = 'UNFORMATTED' )
      OPEN( F_CIJ, FILE = 'CIJ', STATUS = 'UNKNOWN' )
      OPEN( F_CIJ_IDL, FILE = 'CIJ_IDL', STATUS = 'UNKNOWN' )

      IELEM = LABEL(NK + 2)/100
      CALL COLSEC( IELEM )
      DO ID = 1, NDEPTH
         IID = ID
         CALL COLRAT( IELEM, IID, C, m_levels )
         DO I = 1, NK
            DO J = 1, NK
               A(I,J) = 0.
               R(I,J) = 0.
            END DO
         END DO
         IF( NRFIX .NE. 0 ) THEN
            DO IT = 1, NRFIX
               I =  LOWF(IT)
               J =  UPF(IT)
               IF( PHOR(IT) ) THEN
                  READ( F_RIJ ) RIJ, RJI
                  RJI = RJI*N(ID,I)/N(ID,J)
               ELSE
                  IF( .NOT.IREAD ) THEN
                     OPEN( UNIT = F_RADIAT, FILE = 'RADIAT', FORM =
     >                 'UNFORMATTED' )
                     IREAD = .TRUE.
                  END IF
                  READ( F_RADIAT ) JNU
                  DEPS = EPS(J) - EPS(I)
                  HELP = 2.0816E+11/DEPS*XP( OCR(IT) )/G(I)
                  RIJ = HELP*JNU
                  RJI = (G(I)/G(J))*HELP*(2.0845E-4*DEPS*DEPS*DEPS+JNU)
               END IF
               C(I,J) = C(I,J) + RIJ
               C(J,I) = C(J,I) + RJI
               R(I,J) = RIJ
               R(J,I) = RJI
            END DO
         END IF
         IF( ID .EQ. 20 ) THEN
            DO IL = 1, NK
               WRITE( F_CIJ, '(X, /, X, ''LOW = '', I3)' ) IL
               WRITE( F_CIJ, '( X, 5(A3, 2A11, X) )' ) ('UP', 'C_ij',
     >           'R_ij', IJ = 1, 5)
               WRITE( F_CIJ, '( (X, 5(0P, I3, 1P, 2E11.3, X)) )' )
     >           (IJ, C(IL,IJ) - R(IL,IJ), R(IL,IJ), IJ = 1, NK )
            END DO
	    DO IJ = 1, NK
               WRITE( F_CIJ_IDL, * ) (C(IL,IJ) - R(IL,IJ), IL = 1, NK)
	    END DO
         END IF
         DO I = 1, NL
            DO J = 1, NK
               IF( I .NE. J ) THEN
                  A(I,J) =  -C(J,I)
               ELSE
                  SUM = 0.
                  DO K = 1, NK
                     SUM =  SUM + C(I,K)
                  END DO
                  A(I,I) =  SUM
               END IF
            END DO
         END DO
         DO J = 1, NK
            A(NK,J) =  1.
         END DO
         B = NATOM(ID)
         DO J = 1, NK
            CALL WR1( F_FIXRAD, A(1,J), NK )
         END DO
         WRITE( F_FIXRAD ) B
      END DO
      DO I = 1, NK
         CALL WR1( F_FIXRAD, N(1,I), NDEPTH )
      END DO
      CLOSE( F_RIJ )
      CLOSE( F_FIXRAD )
      IF( IREAD ) CLOSE( F_RADIAT )
      CLOSE( F_CIJ )
      END
