	subroutine sout( ichan, string, delim )
C ***
C ******************************************************************************
C ***
C ***	Removes everything from DELIM to first non-blank in STRING and writes
C ***	result to channel ICHAN.
C ***
C ***	ichan	> i	channel number
C ***	string >< c	string
C ***	delim	> c	delimiter
C ***
C ***	Modifications:
C ***
C ***	 6-JUN-1995 13:59:29.00		ML / IoA.  Created.
C ***
C ******************************************************************************
C ***
	implicit none

	integer ichan
	character string*(*), delim*1

	integer i, j

        j = 1
	do i = 1, len(string)
	   if( string(j:j) .eq. delim ) then
              do j = j + 1, len(string)
                 if( string(j:j) .ne. ' ' ) then
                    go to 1
                 end if
              end do
           end if
1          continue

           string(i:i) = string(j:j)
	   j = j + 1
           if( j .gt. len(string) ) go to 2
	end do

2	continue
	write( ichan, '(a)' ) string(:i)

	end
