!++  
!     Header information  
!--  
   
   
!++   
!     Define symbols according to macro values
!--   
   
.IFDEF DEBUG   
DBG = /DEBUG   
DBGOPT = /NOOPTIMIZE/DEBUG   
.ELSE   
DBG = /NODEBUG   
DBGOPT = /OPTIMIZE/NODEBUG   
.ENDIF   
   
.IFDEF LIST   
LST = /LIST   
.ELSE   
LST = /NOLIST   
.ENDIF   
   
.IFDEF DIAG   
DIA = /DIAGNOSTICS   
.ELSE   
DIA = /NODIAGNOSTICS   
.ENDIF   
   
.IFDEF PCA  
PCAOPT = /DEBUG=SYS$LIBRARY:PCA$OBJ.OBJ   
.ENDIF   
   
   
!++   
!      List of tools used and required symbols 
!--   
   
!
!      FORTRAN used
!      !Executables used
 
!++ 
!     Missing sources catch-all
!-- 
 
.DEFAULT 
   ! No source found for $(MMS$TARGET_NAME)
   ! - Attempting to continue
 
 
   
!++
!   Complete application - default build item
!--
    
COMPLETE_APPLICATION depends_on - 
     BKEMUSHR.OLB
        CONTINUE
    
 
!++
!   FORTRAN
!--
 
BKEMU.OLB(CENSYM=CENSYM.OBJ) depends_on -
      CENSYM.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=CENSYM CENSYM.FOR
       LIBRARY/REPLACE BKEMU.OLB CENSYM.OBJ
       DELETE CENSYM.OBJ;*
     
BKEMU.OLB(CPLOT=CPLOT.OBJ) depends_on -
      CPLOT.FOR -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=CPLOT CPLOT.FOR
       LIBRARY/REPLACE BKEMU.OLB CPLOT.OBJ
       DELETE CPLOT.OBJ;*
     
BKEMU.OLB(CTRLIN=CTRLIN.OBJ) depends_on -
      censym.for -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=Censym censym
       LIBRARY/REPLACE BKEMU.OLB censym
       DELETE CTRLIN.OBJ;*
     
BKEMU.OLB(CTRLINE=CTRLINE.OBJ) depends_on -
      censym.for -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=Censym censym
       LIBRARY/REPLACE BKEMU.OLB censym
       DELETE CTRLINE.OBJ;*
     
BKEMU.OLB(DASHP=DASHP.OBJ) depends_on -
      DASHP.FOR -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=DASHP DASHP.FOR
       LIBRARY/REPLACE BKEMU.OLB DASHP.OBJ
       DELETE DASHP.OBJ;*
     
BKEMU.OLB(DFACT=DFACT.OBJ) depends_on -
      DFACT.FOR -
     ,PGPA.INC -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=DFACT DFACT.FOR
       LIBRARY/REPLACE BKEMU.OLB DFACT.OBJ
       DELETE DFACT.OBJ;*
     
BKEMU.OLB(DWHR=DWHR.OBJ) depends_on -
      DWHR.FOR -
     ,PGPA.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=DWHR DWHR.FOR
       LIBRARY/REPLACE BKEMU.OLB DWHR.OBJ
       DELETE DWHR.OBJ;*
     
BKEMU.OLB(FACTOR=FACTOR.OBJ) depends_on -
      FACTOR.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=FACTOR FACTOR.FOR
       LIBRARY/REPLACE BKEMU.OLB FACTOR.OBJ
       DELETE FACTOR.OBJ;*
     
BKEMU.OLB(GREEK_CHAR=GREEK_CHAR.OBJ) depends_on -
      symk2mon.for -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) symk2mon
       LIBRARY/REPLACE BKEMU.OLB symk2mon
       DELETE GREEK_CHAR.OBJ;*
     
BKEMU.OLB(GROSSB=GROSSB.OBJ) depends_on -
      GROSSB.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=GROSSB GROSSB.FOR
       LIBRARY/REPLACE BKEMU.OLB GROSSB.OBJ
       DELETE GROSSB.OBJ;*
     
BKEMU.OLB(HITPOS=HITPOS.OBJ) depends_on -
      HITPOS.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=HITPOS HITPOS.FOR
       LIBRARY/REPLACE BKEMU.OLB HITPOS.OBJ
       DELETE HITPOS.OBJ;*
     
BKEMU.OLB(LNBLNK=LNBLNK.OBJ) depends_on -
      LNBLNK.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=LNBLNK LNBLNK.FOR
       LIBRARY/REPLACE BKEMU.OLB LNBLNK.OBJ
       DELETE LNBLNK.OBJ;*
     
BKEMU.OLB(MPLOT=MPLOT.OBJ) depends_on -
      MPLOT.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=MPLOT MPLOT.FOR
       LIBRARY/REPLACE BKEMU.OLB MPLOT.OBJ
       DELETE MPLOT.OBJ;*
     
BKEMU.OLB(NEWPEN=NEWPEN.OBJ) depends_on -
      NEWPEN.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=NEWPEN NEWPEN.FOR
       LIBRARY/REPLACE BKEMU.OLB NEWPEN.OBJ
       DELETE NEWPEN.OBJ;*
     
BKEMU.OLB(NUMBER=NUMBER.OBJ) depends_on -
      NUMBER.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=NUMBER NUMBER.FOR
       LIBRARY/REPLACE BKEMU.OLB NUMBER.OBJ
       DELETE NUMBER.OBJ;*
     
BKEMU.OLB(PLOT=PLOT.OBJ) depends_on -
      PLOT.FOR -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=PLOT.OBJ PLOT.FOR
       LIBRARY/REPLACE BKEMU.OLB PLOT.OBJ
       DELETE PLOT.OBJ;*
     
BKEMU.OLB(PLOTS=PLOTS_END.OBJ) depends_on -
      PGPA.INC -
     ,PLOTS_END.FOR -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=PLOTS_END PLOTS_END.FOR
       LIBRARY/REPLACE BKEMU.OLB PLOTS_END.OBJ
       DELETE PLOTS_END.OBJ;*
     
BKEMU.OLB(PLTBG=PLTBG.OBJ) depends_on -
      PLTBG.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=PLTBG PLTBG.FOR
       LIBRARY/REPLACE BKEMU.OLB PLTBG.OBJ
       DELETE PLTBG.OBJ;*
     
BKEMU.OLB(PLTSYN=PLTSYN.OBJ) depends_on -
      PLTSYN.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=PLTSYN PLTSYN.FOR
       LIBRARY/REPLACE BKEMU.OLB PLTSYN.OBJ
       DELETE PLTSYN.OBJ;*
     
BKEMU.OLB(SYMBLK=SYMBLK.OBJ) depends_on -
      PGPA.INC -
     ,SYMBLK.FOR -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=SYMBLK SYMBLK.FOR
       LIBRARY/REPLACE BKEMU.OLB SYMBLK.OBJ
       DELETE SYMBLK.OBJ;*
     
BKEMU.OLB(SYMK2MON=SYMK2MON.OBJ) depends_on -
      SYMK2MON.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=SYMK2MON SYMK2MON.FOR
       LIBRARY/REPLACE BKEMU.OLB SYMK2MON.OBJ
       DELETE SYMK2MON.OBJ;*
     
BKEMU.OLB(TEXTLK=TEXTLK.OBJ) depends_on -
      PGPA.INC -
     ,TEXTLK.FOR -
     ,TYPES.INC -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=TEXTLK TEXTLK.FOR
       LIBRARY/REPLACE BKEMU.OLB TEXTLK.OBJ
       DELETE TEXTLK.OBJ;*
     
BKEMU.OLB(WAITHT=WAITHT.OBJ) depends_on -
      WAITHT.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=WAITHT WAITHT.FOR
       LIBRARY/REPLACE BKEMU.OLB WAITHT.OBJ
       DELETE WAITHT.OBJ;*
     
BKEMU.OLB(WHERE=WHERE.OBJ) depends_on -
      WHERE.FOR -
     !
       $(FORT) $(FFLAGS) /separate $(LST) $(DBGOPT) $(DIA) /OBJ=WHERE WHERE.FOR
       LIBRARY/REPLACE BKEMU.OLB WHERE.OBJ
       DELETE WHERE.OBJ;*
     
 
!++
!   Links
!--
 
BKEMUSHR.EXE depends_on -
      BKEMU.OLB(CENSYM=CENSYM.OBJ) -
     ,BKEMU.OLB(CPLOT=CPLOT.OBJ) -
     ,BKEMU.OLB(DASHP=DASHP.OBJ) -
     ,BKEMU.OLB(DFACT=DFACT.OBJ) -
     ,BKEMU.OLB(DWHR=DWHR.OBJ) -
     ,BKEMU.OLB(FACTOR=FACTOR.OBJ) -
     ,BKEMU.OLB(GROSSB=GROSSB.OBJ) -
     ,BKEMU.OLB(HITPOS=HITPOS.OBJ) -
     ,BKEMU.OLB(LNBLNK=LNBLNK.OBJ) -
     ,BKEMU.OLB(MPLOT=MPLOT.OBJ) -
     ,BKEMU.OLB(NEWPEN=NEWPEN.OBJ) -
     ,BKEMU.OLB(NUMBER=NUMBER.OBJ) -
     ,BKEMU.OLB(PLOT=PLOT.OBJ) -
     ,BKEMU.OLB(PLOTS=PLOTS_END.OBJ) -
     ,BKEMU.OLB(PLTBG=PLTBG.OBJ) -
     ,BKEMU.OLB(PLTSYN=PLTSYN.OBJ) -
     ,BKEMU.OLB(SYMBLK=SYMBLK.OBJ) -
     ,BKEMU.OLB(SYMK2MON=SYMK2MON.OBJ) -
     ,BKEMU.OLB(TEXTLK=TEXTLK.OBJ) -
     ,BKEMU.OLB(WAITHT=WAITHT.OBJ) -
     ,BKEMU.OLB(WHERE=WHERE.OBJ) -
     !
       LINK $(DBG) $(PCAOPT) /share /EXE=BKEMUSHR.EXE -
         BKEMU.OLB/LIBRARY, bkemu/op -
          ! End of Link
     
 
BKEMUSHR.OLB depends_on -
     BKEMUSHR.EXE -
     !
       library/replace/share bkemushr.olb bkemushr.exe
 
 
!++ 
!   Files not found.  MMS references to these  
!   files will generate errors. 
!-- 
 
   
!++   
!  Create object library if it doesn't already exist
!--   
   
.FIRST 
       IF F$SEARCH( "BKEMU.OLB" ) .EQS. "" -
		THEN $(LIBR)/CREATE BKEMU.OLB
       IF F$SEARCH( "BKEMUSHR.OLB" ) .EQS. "" -
		THEN $(LIBR)/CREATE/SHARE BKEMUSHR.OLB
       if f$trnlnm( "PGPLOT_DIR" ) .eqs. "" -
                then @TOOLS_ROOT:[FIGARO_AXP.LOCAL]PGPLOT
       
!++       
!  End of build cleanup work     
!--       
       
.LAST 
       CONTINUE
       
