	SUBROUTINE MPLOT( X, Y, IPEN, LINWD )
C ***
C ******************************************************************************
C ***
C ***	Ersatz fuer Rechenzentrumsroutine. Tut (hoffentlich) das Gleiche.
C ***
C ***		 21-MAR-1988 12:09:35 
C ***
C ******************************************************************************
C ***
	PARAMETER( STRICHBREITE = 0.025, GROESSTE_ZAHL = 1.E36 )

	IPN = ABS( IPEN )
	IF( IPN .EQ. 3 ) THEN
	   CALL PLOT( X, Y, IPEN )
	ELSE IF( IPN .EQ. 2 ) THEN
	   CALL WHERE( X0, Y0, FACTOR )
	   DX = X - X0
	   DY = Y - Y0
	   IF( ABS( DX ) .LE. ABS( DY/GROESSTE_ZAHL ) ) THEN
	      XSB = -STRICHBREITE
	      YSB = 0.
	   ELSE
	      S = DY/DX
	      W = SQRT( 1./(S*S + 1.) )
	      XSB = -STRICHBREITE*W*S
	      YSB = +STRICHBREITE*W
	   END IF
	   DA = (LINWD - 1.)/2.
	   XA = X0 - DA*XSB
	   YA = Y0 - DA*YSB
	   CALL PLOT( XA, YA, 3 )
	   XP = XA
	   YP = YA
	   DO I = 1, LINWD - 1
	      XP = XP + DX
	      YP = YP + DY
	      CALL PLOT( XP, YP, 2 )
	      XP = XP + XSB
	      YP = YP + YSB
	      CALL PLOT( XP, YP, 2 )
	      DX = -DX
	      DY = -DY
	   END DO
	   CALL PLOT( XP + DX, YP + DY, 2 )
	   CALL PLOT( X, Y, IPEN )
	END IF
	RETURN
	END
