	subroutine prglog( dummy, text )
C ***
C ******************************************************************************
C ***
C ***	Logs program usage in file <imagename>.USE on disk location of image
C ***
C ***	Dummy:	Character, just a dummy (compatibility to older version) read/wr
C ***	Text:	Character, currently not used, read/write
C ***
C ***
C ***	10-JAN-1992 16:18:53.63
C ***
C ***	Modifications:
C ***
C ***	19-SEP-1992 14:04:10.00		ML / UT Austin.  First Sun Unix version
C ***	20-SEP-1992 21:32:05.00         ML / UT Austin.  Replaced some silly
C ***                                   Fortran system routines with self
C ***                                   written C interfaces.
C ***	21-SEP-1992 23:54:16.00		ML / UT Austin.  Replaced C interface
C ***					for chmod with direct call of C
C ***					function fchmod.
C ***	25-SEP-1992 12:57:29.00		ML / UT Austin.  Replaced search for
C ***                                   image name with function call.
C ***   26-MAR-1997 01:27:47.00         ML / Stegaurach. Linux version.
C ***                                   Use C interface to chmod.
C ***                                   No structure.
C ***   10-MAY-1997 15:56:06.00         ML / Stegaurach.  Use Fortran interface
C ***                                   to chmod.  Changed with new g77.
C ***   14-AUG-1997 21:43:02.00         ML / Bamberg.  So what *is* the g77
C ***                                   chmod interface?  libU77 of 0.7.20
C ***                                   defines it as integer function...
C ***
C ***                                   Also had some broken logic with iostat
C ***                                   can't be -1 for direct access files.
C ***                                   
C ***
C ******************************************************************************
C ***
	implicit none

	character*(*) dummy, text

C ***
C ***	Functions
C ***
!	external fchmod
C$pragma C( fchmod )
!	integer fchmod, getfd
!        external chmod
        integer chmod

C ***
C ***	Local variables
C ***
	character*20 date, user_name*15
	character*1024 prg_name
!!	structure /log_data/
!!	   character*15 user_name
!!	   character*20	date_of_last_use
!!	   integer 	number_of_uses
!!!	   character*80 aux_text
!!!	   character*80 aux_text_2
!!           character*2 crlf
!!	end structure ! log_data
!!	record /log_data/ user_data
	   character*15 user_data_user_name
	   character*20	user_data_date_of_last_use
	   integer 	user_data_number_of_uses
!	   character*80 user_data_aux_text
!	   character*80 user_data_aux_text_2
           character*2  user_data_crlf

	integer iunit, ist, irec, ignore, len_prg, len_user


C ***
C ***	Code
C ***
	call datum( date )
	call getusername( user_name, len_user )
	call getimagename( prg_name, len_prg )
	prg_name( len_prg + 1: ) = '.use'

	iunit = 77
	open( iunit, file = prg_name, status = 'unknown', iostat = ist,
     >	  access = 'direct', form = 'formatted', recl = 47 )  ! recl = 207

!!	ignore = getfd( iunit )
!!	ignore = fchmod( %val(ignore), %val('666'o) )
!	ignore = chmod( prg_name, '666'o )
!	call chmod( prg_name, 'a+rw', ignore )
	ignore = chmod( prg_name, 'a+rw' )

	irec = 0
	do while( ist .eq. 0 )
           irec = irec + 1
   	   read( iunit, 2, rec = irec, err = 9999, iostat = ist ) 
     >	                user_data_user_name, user_data_date_of_last_use, 
     >	                user_data_number_of_uses,
!     >	                user_data_aux_text, 
!     >	                user_data_aux_text_2,
     >	                user_data_crlf
	   if( user_data_user_name .eq. user_name ) then
	      user_data_date_of_last_use = date
	      user_data_number_of_uses = user_data_number_of_uses + 1
!	      text = user_data_aux_text
    	      write( iunit, 2, rec = irec, err = 999 )
     >	        user_data_user_name, 
     >	        user_data_date_of_last_use, 
     >	        user_data_number_of_uses,
!     >	        user_data_aux_text, 
!     >	        user_data_aux_text_2,
     >	        user_data_crlf
              ist = 1
              go to 1
           end if
9999       continue
   	      user_data_user_name = user_name
	      user_data_number_of_uses = 0
!	      user_data_aux_text = ' '
!	      user_data_aux_text_2 = ' '
	      user_data_crlf = char(13)//char(10)
	      user_data_date_of_last_use = date
	      user_data_number_of_uses = user_data_number_of_uses + 1
	      write( iunit, 2, rec = irec, err = 999 )
     >	        user_data_user_name, 
     >	        user_data_date_of_last_use, 
     >	        user_data_number_of_uses,
!     >	        user_data_aux_text, 
!     >	        user_data_aux_text_2,
     >	        user_data_crlf
	      ist = 1
	end do
1	continue

2	format( 2a,i10,3a )
999	close( iunit, iostat = ist )
	end
