#include <stdio.h>
#include <stdlib.h>
#include <termcap.h>
int main( int argc, char ** argv ) {

   char *term_type, bp[1024], s[10];
   int i, istat, ansi, batch, wi;
   
   term_type = getenv( "TERM" );
   batch = (term_type == NULL || *term_type == '\0');
   
   if( !batch ) {
      istat = sscanf( term_type, "vt%d", &i ); /* returns 1 if TERM=vt123 */
      ansi = (strcmp( term_type, "ansi" ) == 0 || 
	      strcmp( term_type, "xterm" ) == 0 ||
	      istat == 1);   /* crummy; assumption: TERM=vt123*
					   * or TERM=ansi */
   }

   
   tgetent( bp, term_type );
   wi = tgetnum( "co" );
   printf( "%d\n", wi );
   
   strncpy( s, "1234567890", 10 );
   printf( "%*.*s\n", 3, 3, s );
   
}
