       FUNCTION FLUX( DL )
C---IFSCAT =0 NO SCATTER, =1 SCATTER
C---IFSURF =0 SOURCE FUNCTION,TAULAM
C---       =1 +FLUX
C---       =2 +INTENSITY

       INCLUDE 'LINLTE.INC'
C
       COMMON /MATX/ C1( 43 ), C2( 43 ), C3( 43 ), C4( 43 ), C5( 43 ),
     >        C6( 43 ), C7( 43 ), C8( 43 ), C9( 43 ), C10( 43 ),
     >        C11( 43 ), C12( 43 ), C13( 43 ), C14( 43 ), C15( 43 ),
     >        C16( 43 ), C17( 43 ), C18( 43 ), C19( 43 ), C20( 43 ),
     >        C21( 43 ), C22( 43 ), C23( 43 ), C24( 43 ), C25( 43 ),
     >        C26( 43 ), C27( 43 ), C28( 43 ), C29( 43 ), C30( 43 ),
     >        C31( 43 ), C32( 43 ), C33( 43 ), C34( 43 ), C35( 43 ),
     >        C36( 43 ), C37( 43 ), C38( 43 ), C39( 43 ), C40( 43 ),
     >        C41( 43 ), C42( 43 ), C43( 43 ), COEFH( 43 ), XTAU( 43 ),
     >        NXTAU
       INCLUDE 'STRUCT.INC'
       INCLUDE 'IF.INC'

       INCLUDE 'FLUSS.INC'
       INCLUDE 'DEPTH.INC'
       DIMENSION COEFJ( 43, 43 )
       EQUIVALENCE ( COEFJ(1), C1(1) )
       DIMENSION XS( 43 ), XBLAM( NDEPTH ), XBETA( NDEPTH ),
     >           DIAG( NDEPTH )
       DIMENSION A( NDEPTH ), B( NDEPTH ), C( NDEPTH )
       DIMENSION HNU( NDEPTH ), JNU( NDEPTH ), JMINS( NDEPTH )
       DIMENSION DUM( NDEPTH )
       DIMENSION CTWO( NDEPTH ), B2CT( NDEPTH ), B2CT1( NDEPTH )
       DIMENSION TAULAM( NDEPTH )
       DIMENSION STRUE( NDEPTH )
       REAL NEW, JNU, JMINS
       EQUIVALENCE( XBLAM(1), A(1), HNU(1), DUM(1), B2CT(1) )
       EQUIVALENCE( XBETA(1), B(1), JNU(1), B2CT1(1) )
       EQUIVALENCE( DIAG(1), C(1), JMINS(1), CTWO(1) )

       DO N = 1, NMA
          DUM( N ) = SUMETA( N + 0, DL, SUMET2 )
          SC = SIGMAC( N )/ROPTOT( N )
          STRUE( N ) = ( SUMET2 - SC )/( DUM(N) - SC )*BLAM( N )
          BETA( N ) = SC/DUM( N )
       END DO
       CALL INTEG( RTAU, DUM, TAULAM, NMA, RTAU(1)*DUM(1) )
       TAULAM( 1 ) = 0.
       IF( IFSCAT .NE. 1 ) THEN
          DO N = 1, NMA
             SLAM( N ) = ( 1. - BETA(N) )*STRUE( N ) +
     >                   BETA( N )*BLAM( N )
          END DO
          IF( IFSURF .EQ. 1 ) THEN
             IF( IFSPHA .EQ. 1 ) THEN
                DO N = 1, NMA
                   SLAM( N ) = SLAM( N )*R( N )*R( N )
                END DO
             END IF
             MAXJ = MAP1( TAULAM, SLAM, NMA, XTAU, XS, NXTAU )
          END IF
       ELSE

          IF( IFSPHA .EQ. 1 .AND. IFSURF .EQ. 1 ) THEN
             DO N = 1, NMA
                STRUE( N ) = STRUE( N )*R( N )*R( N )
             END DO
          END IF

          MAXJ = MAP1( TAULAM, STRUE, NMA, XTAU, XBLAM, NXTAU )
          MAXJ = MAP1( TAULAM, BETA, NMA, XTAU, XBETA, NXTAU )
          DO L = 1, NXTAU
             IF( XBETA(L) .LT. 0. ) XBETA( L ) = 0.
             XS( L ) = XBLAM( L )
             DIAG( L ) = 1. - XBETA( L )*COEFJ( L, L )
             XBLAM( L ) = ( 1. - XBETA(L) )*XBLAM( L )
          END DO
          ERROR = 1.
          L = 1
          DO WHILE( ERROR .GE. 0.00001 .AND. L .LE. NXTAU )
             ERROR = 0.
             DO K = NXTAU, 1, -1
                DELXS = C1(K)*XS(1) + C2(K)*XS(2) + C3(K)*XS(3) + 
     >                  C4(K)*XS(4) + C5(K)*XS(5) + C6(K)*XS(6) +
     >                  C7(K)*XS(7) + C8(K)*XS(8) + C9(K)*XS(9) +
     >                  C10(K)*XS(10) + C11(K)*XS(11) + C12(K)*XS(12) +
     >                  C13(K)*XS(13) + C14(K)*XS(14) + C15(K)*XS(15) +
     >                  C16(K)*XS(16) + C17(K)*XS(17) + C18(K)*XS(18) +
     >                  C19(K)*XS(19) + C20(K)*XS(20) + C21(K)*XS(21) +
     >                  C22(K)*XS(22) + C23(K)*XS(23) + C24(K)*XS(24) +
     >                  C25(K)*XS(25) + C26(K)*XS(26) + C27(K)*XS(27) +
     >                  C28(K)*XS(28) + C29(K)*XS(29) + C30(K)*XS(30) +
     >                  C31(K)*XS(31) + C32(K)*XS(32) + C33(K)*XS(33) +
     >                  C34(K)*XS(34) + C35(K)*XS(35) + C36(K)*XS(36) +
     >                  C37(K)*XS(37) + C38(K)*XS(38) + C39(K)*XS(39) +
     >                  C40(K)*XS(40) + C41(K)*XS(41) + C42(K)*XS(42) +
     >                  C43(K)*XS(43)
                DELXS = ( DELXS*XBETA(K) + XBLAM(K) - XS(K) )/DIAG( K )
                ERROR = MAX( ABS( DELXS/XS(K) ), ERROR )
                XS( K ) = XS( K ) + DELXS
             END DO
             L = L + 1
          END DO
          IF( ERROR .GE. 0.00001 ) WRITE( STDOUT, FMT = 9000 ) ERROR
          MDUMMY = MAP1( XTAU, XS, NXTAU, TAULAM, SLAM, MAXJ )
          IF( MAXJ .NE. NMA ) THEN
             DO N = MAXJ + 1, NMA
                SLAM( N ) = STRUE( N )
             END DO
             M = MAX( MAXJ - 1, 1 )
             NM1 = NMA - M + 1
             NMJ = NMA - MAXJ + 1
             ERROR = 1.
             L = 1
             DO WHILE( ERROR .GE. 0.00001 .AND. L .LE. NXTAU )
                ERROR = 0.
                CALL DERIV( TAULAM(M), SLAM(M), HNU(M), NM1 )
                DO N = M, NMA
                   HNU( N ) = HNU( N )/3.
                END DO
                CALL DERIV( TAULAM(MAXJ), HNU(MAXJ), JMINS(MAXJ), NMJ )
                DO N = MAXJ + 1, NMA
                   JNU( N ) = JMINS( N ) + SLAM( N )
                   SNEW = ( 1. - BETA(N) )*STRUE( N ) +
     >                    BETA( N )*JNU( N )
                   ERROR = ABS( SNEW - SLAM(N) )/SNEW + ERROR
                   SLAM( N ) = SNEW
                END DO
                L = L + 1
             END DO
             IF( ERROR .GE. 0.00001 ) WRITE( STDOUT, 9010 ) ERROR, MAXJ
          END IF
       END IF
       IF( IFSURF .EQ. 2 ) THEN
C ***
C ***    Intensity calculation
C ***
          CALL PARCOE( SLAM, TAULAM, A, B, C, NMA )
          DO N = 1, NMA
             CTWO( N ) = C( N )*2.
             B2CT( N ) = B( N ) + CTWO( N )*TAULAM( N )
             B2CT1( N ) = B( N ) + CTWO( N )*TAULAM( N + 1 )
          END DO
          OLD = 1.
          FLUX = 0.
          DO N = 1, NMA - 1
             TANGLE = TAULAM( N + 1 )/COSTHE
             IF( TANGLE .GT. 70. ) THEN
                GO TO 16

             ELSE
                NEW = EXP( -TANGLE )
                D = TANGLE - TAULAM( N )/COSTHE
                IF( D .LE. 0.03 ) THEN
                   IF( D .GT. 0.001 ) THEN
                      DDDDD = ( (((D/9. + 1.)*D/8. + 1.)*D/7. + 1.)*D/
     >                        6. + 1. )*D/5. + 1.
                   ELSE
                      DDDDD = 1.
                   END IF
                   FLUX = FLUX + NEW*( SLAM(N) +
     >                    (SLAM(N) + B2CT(N)*COSTHE + (SLAM(N) +
     >                    (B2CT(N) + CTWO(N)*COSTHE)*COSTHE)*(DDDDD*D/
     >                    4. + 1.)*D/3.)*D/2. )*D
                ELSE
                   FLUX = FLUX + OLD*( SLAM(N) +
     >                    (B2CT(N) + CTWO(N)*COSTHE)*COSTHE ) -
     >                    NEW*( SLAM(N + 1) + (B2CT1(N) +
     >                    CTWO(N)*COSTHE)*COSTHE )
                END IF
                OLD = NEW
             END IF
          END DO
          FLUX = FLUX + OLD*( SLAM(NMA) +
     >           (B2CT(NMA) + CTWO(NMA)*COSTHE)*COSTHE )
16        CH = COSTHE
       ELSE IF( IFSURF .EQ. 1 ) THEN
C ***
C ***    Flux calculation
C ***
          FLUX = 0.
          DO M = 1, NXTAU
             FLUX = FLUX + COEFH( M )*XS( M )
          END DO
          FLUX = 4.*FLUX
          CH = 2./3.
       ELSE IF( IFSURF .EQ. 0 ) THEN
          FLUX = -10000.
          RETURN
       END IF
       IF( (CONTI .OR. (ABS(DL - DLK(IABS(KCONTR))) .LT. 1.) .OR.
     >     BOA(4)) .AND. KCONTR .GE. 0 ) THEN
C ***
C ***    Depth dependent quantities
C ***
          F = 0.
          A( 1 ) = 0.
          DO N = 2, NMA
             TL1 = TAULAM( N )/CH
             TL2 = TAULAM( N - 1 )/CH
             IF( TL1 .GT. 87. .OR. TL2 .GT. 87. ) THEN
                DO NR = N, NMA
                   A( NR ) = 0.
                END DO
                GO TO 20

             ELSE
                A( N ) = 0.5*( SLAM(N)/EXP(TL1) +
     >                   SLAM(N - 1)/EXP(TL2) )*( TL1 - TL2 )
                F = F + A( N )
             END IF
          END DO

20        CONTINUE
          IF( CONTI ) THEN
             DO N = 1, NMA
                TAULAC( N ) = TAULAM( N )
                CONTRC( N ) = 100.*A( N )/F
             END DO
          ELSE
             DO N = 1, NMA
                CONTRL( N ) = 100.*A( N )/F
             END DO
          END IF
       END IF

9000   FORMAT( ' Quellfunktion konvergiert nicht!  ERROR=', F9.5 )
9010   FORMAT( ' Quellfunktion fuer grosse Tau konv. nicht!  ERROR=',
     >       F9.5, '  MAXJ=', I4 )

       END
