	subroutine plotscale
C ***
C ******************************************************************************
C ***
C ***	Sets min/max ranges for plot -- allows for autoscale if min==max.
C ***
C ***	This used to be done by diagr but line id's require extra room.
C ***
C ***
C ***	31-MAY-1996 21:40:17.67		ML / Bamberg.  Created.
C ***
C ******************************************************************************
C ***
	implicit none


C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
	include 'RECT_SIZE.INC'
	include 'IF.INC'
	include 'OBS.INC'
	include 'PROFIL.INC'


C ***
C ***   Local variables
C ***
	integer i
	real d

	if( xmin .eq. xmax ) then
           xmin =  1e28
	   xmax = -1e28
	   if( boa(2) ) then
              do i = 1, mobs
                 xmin = min( xmin, lamobs(i) )
                 xmax = max( xmax, lamobs(i) )
              end do
	   else
              do i = 1, mma
                 xmin = min( xmin, lascan(i) )
                 xmax = max( xmax, lascan(i) )
              end do
	   end if
           d = 0.1*(xmax - xmin)
           xmin = xmin - d
           xmax = xmax + d
           if( xmin .eq. xmax ) then	! Konstante Funktion
              xmin = xmin - 0.1*xmin
              xmax = xmax + 0.1*xmin
           end if
	end if

	if( ymin .eq. ymax ) then
	   ymin =  1e28
	   ymax = -1e28
	   if( boa(2) ) then
              do i = 1, mobs
                 ymin = min( ymin, fluxobs(i) )
                 ymax = max( ymax, fluxobs(i) )
              end do
	   else
              do i = 1, mma
                 ymin = min( ymin, rstreu(i) )
                 ymax = max( ymax, rstreu(i) )
              end do
	   end if
           d = 0.1*(ymax - ymin)
           ymin = ymin - d
           ymax = ymax + d
           if( ymin .eq. ymax ) then	! Konstante Funktion
              ymin = ymin - 0.1*ymin
              ymax = ymax + 0.1*ymin
           end if
	   if( pid ) then
	      ymax = ymax + 0.8*(ymax-ymin)
	   end if
	end if


	end
