        subroutine readin( mode )
	implicit none
C ***
C ***	$Id: readin.f,v 1.2 2004/03/03 23:53:52 ai26 Exp $
C ***
C *** 
C *** 	Modifications:
C *** 
C *** 	 3-SEP-1993 20:52:33.84		ML / IoA Cambs.  Made flag 10 work
C *** 					for repeated syntheses.  Added WAWSYN
C *** 					and DELSYN.  What's WAW for anyway?
C *** 
C *** 	 6-SEP-1993 15:42:31.49		ML / IoA Cambs.  Added output of
C ***                                   id string in DEPART.DAT
C ***
C ***	22-OCT-1993 17:00:18.00		ML / IoA Cambs.  Added option to set
C ***					plot scale. -- NOT WORKING YET
C ***
C ***	22-FEB-1994 18:15:46.00		ML / IoA Cambs.  Added H line opacity
C ***					and fixed error for missing flag 10
C *** 
C ***	10-MAR-1994 15:02:47.00		ML / IoA Cambs.  Changed H line opacity
C ***					flag to 90 (synch with Kiel)
C ***
C ***	15-JUN-1994 16:28:26.00		ML / IoA Cambs.  Modifications for VCS
C ***
C ***	19-NOV-1994 00:27:47.00		ML / IoA.  Moved paper/screen check
C ***					from pbegin to here
C ***
C ***	28-FEB-1995 16:18:15.00		ML / IoA.  ifsurf/costhe logic was
C ***					flawed.  iz.eq.40 and iz.eq.0
C ***                                   interfered.
C ***                                   iz.eq.90 made nonsense with kma.
C ***
C ***	31-MAY-1996 20:17:17.88		ML / Bamberg.  Added PID flag to
C ***                                   flag 10 input for line id plot
C ***
C ***	24-JUL-1996 17:54:35.61		ML / Bamberg.  RV correction.
C ***
C ***	 7-MAR-1997 13:57:31.07		ML / Bamberg.  Range check on IFABS
C ***
C ***   16-APR-1997 23:13:06.00         ML / Stegaurach.  SAVE WAWSYN... g77
C ***                                   Break DEPART.DAT id string after 79th
C ***                                   character for braindead Unix.
C ***
C ***   16-JUN-1997 00:38:08.00         ML / Stegaurach.  Make sure H is
C ***                                   first element listed in LINE.DAT.
C ***                                   Add a bound check when reading namij's.
C ***
C ***   16-JUL-1997 21:34:14.00         ML / Stegaurach.  IFABS for new
C ***                                   combination options.
C ***
C ***	 8-SEP-1997 20:31:53.48		ML / Bamberg.  Make LINFOR count blend
C ***					lines by itself if KMA == -1.  End of
C ***					blend marked by 30 -1
C ***
C ***	14-SEP-1997 18:28:48.00		ML / Stegaurach.  New lineprof stuff.
C ***
C ***	 4-NOV-1997 19:20:27.71		ML / Bamberg.  Error message for IFATM
C ***					and IFDEP.  Must now be either 0 or 1.
C ***					This is to avoid control flags being
C ***					taken as IFATM/IFDEP.
C ***
C ***    7-NOV-1997 14:09:33.00         ML / Bamberg.  Call he2_data.
C ***
C ***	16-DEC-1997 15:02:58.65		ML / Bamberg.  Logic for paper/screen
C ***                                   error message for fits fixed.
C ***
C ***	18-DEC-1997 17:24:17.34		ML / Bamberg.  iflimits .eq. 3 for
C ***					setting fit limits from both file
C ***                                   and cursor
C ***
C ***	17-FEB-1998 18:18:39.74		ML / Bamberg.  Error message for
C ***					elements not found in ATM.DAT
C ***
C ***	20-FEB-1998 20:37:00.00		ML / Bamberg.  Big trouble with
C ***					computing LASCAN fixed.  Was
C ***					accumulating rounding errors.
C ***					Not sure that wavenumbers work.
C ***					The whole thing is chaotic and needs
C ***					thorough review.
C ***
C ***	30-MAR-1998 18:25:28.47		ML / Bamberg.  IZ==-4 to include other
C ***					files in LINE.DAT
C ***
C ***	14-APR-1998 19:16:42.27		ML / Bamberg.  Allow DLOGC4 et al in
C ***					blends.
C ***
C ***	16-JUN-1998 16:13:15.51		ML / Bamberg.  Had to add
C ***					readonly,shared to run large grids...
C ***
C ***    4-MAR-2004 00:36:02.30         ML / Stegaurach.  Try to cope with
C ***                                   readonly/shared via D lines.


C ***
C ***	Arguments
C ***
	integer mode

C ***
C ***	Files
C ***
	include 'LINLTE.INC'
	include 'FILES.INC'
C ***
C ***	Global variables
C ***
	include 'OUTWAV.INC'
      	include 'PROFIL.INC'
	include 'ELEM.INC'
	include 'IONS.INC'
	include 'OPCON.INC'
      	include 'STRUCT.INC'
      	include 'PRES.INC'
      	include 'TEFF.INC'
      	include 'IF.INC'
      	include 'FLUSS.INC'
      	include 'FCON.INC'
      	include 'LINDAT.INC'
      	include 'LINE.INC'
      	include 'CALCUL.INC'
	include 'NLTE.INC'
	include 'PRINT.INC'
	include 'OBS.INC'

C ***
C ***	Functions
C ***
	integer idx, selprof
	real airlam, xp

C ***
C ***	Local variables
C ***
	character*(lab_siz) lowk, upk, line*132, alt_line_dat*255
	integer fline_dat
	integer i, j, k, l, n
	integer ia, ifhop, ielem, ist, ijma, ix, izei, iz, irv
	real anfsyn, endsyn, delsyn, help, rinter, taum, x, w, waw,
     >       wawsyn, xi_micro
	integer kkma
	real lcosthe, ccosthe
	data taum /0.11/
	data ia /6/

	data anfsyn /-2./

        integer namij( nkma )
	real algs( ndepth ), algk( ndepth ), wti( nkma )

	logical screen, paper

        logical first, done
        data first/.TRUE./
        save first, anfsyn, endsyn, delsyn, wawsyn

      	real new_abu
C ***
C *** 	Won't work for molecules. Disabled.  3-DEC-1991 14:04:39.65
C ***

C ***
C ***	Uh oh, memory is cheap these days
C ***
        equivalence ( lamk(1), wti(1) )
        equivalence ( roptot(1), algk(1) ), ( alsl(1,1), algs(1) )
        equivalence ( namij(1), namk(1) )


C ***
C ***	Statement functions
C ***
        airlam( w ) = 1.e8/( (64.328e-6 + 29498.1e-6/(146. -
     >                1.e-8*w*w) + 255.4e-6/(41. - 1.e-8*w*w) + 1)*w )
        xp( x ) = exp( x*2.30258e0 )


C ***
C ***	Code
C ***

        if( mode .eq. 1 ) then
C ***
C ***      Make some DATA junk compliant with FORTRAN standard (key word: BLOCK
C ***      DATA).  Works here this way because READIN(1) is always called so
C ***      it's equivalent to DATA statement
C ***
C ***	   Now done in BLOCK DATA DEFAULTS.
C ***
	   call defaults	! let's see if we can save 5Mb on a Sun

           j = 2**4                    ! set BOA to correspond to IA default
           do i = 4, 1, -1
              ia = mod( ia, j )
              j = j/2
	      boa( i ) = ia/j .eq. 1
	   end do
	   ifhop = 0
           lcosthe = 1.
           kkma = 1

	   fline_dat = fline_dat_min
           open( unit = fline_dat, file = 'LINE.DAT', status = 'OLD'
d    >           , readonly, shared
     >         )
           open( unit = atm_dat, file = 'ATM.DAT', status = 'OLD'
d    >           , readonly, shared
     >         )

           read( fline_dat, * ) ijma, (namij(i), i = 1,min(ijma,nions))
           if( ijma .gt. nions ) then
              write( stdout, * ) 'LINLTE>> ERROR: Not more than ',
     >          nions, ' different species, please.'
              write( stdout, * )
     >                           '                Modify LINE.DAT !'
              call exit
           end if
           if( namij(1) .ne. 100 ) then
              write( stdout, * ) 'LINLTE>> ERROR: Hydrogen not',
     >          ' listed first or not at all.'
              write( stdout, * )
     >          '                Modify LINE.DAT (part 1)!'
              call exit
           end if

           read( fline_dat, * ) ifatm, ifdep
	   if( ifatm .ne. 0 .and. ifatm .ne. 1 ) then
	      write( stdout, * ) 'LINLTE>>  Incorrect IFATM in ',
     >                           'LINE.DAT part one.'
	      write( stdout, * ) '          Must be ',
     >                           'zero or one.'
	      call exit
	   end if
	   if( ifdep .ne. 0 .and. ifdep .ne. 1 ) then
	      write( stdout, * ) 'LINLTE>>  Incorrect IFATM in ',
     >                           'LINE.DAT part one.'
	      write( stdout, * ) '          Must be ',
     >                           'zero or one.'
	      call exit
	   end if
           write( stdout, * ) 'LINE.DAT Teil 1  OK!'
           read( atm_dat, '( i7, /, (i7, f9.4, f7.3) )' ) ima,
     >       ( nami(i), wti(i), abui(i), i = 1, min(ima,nelem) )
	   if( ima .gt. nelem ) then
              write( stdout, * ) 'LINLTE>> ERROR: Not more than ',
     >          nelem, ' elements, please.'
              write( stdout, * ) '                Modify ATM.DAT !'
              call exit
           end if
       
           he = xp( abui(2) - abui(1) )
           read( atm_dat,
     >       '(///, 1x, i4, /, 1x, f8.1, f6.2, f10.2, f7.2, //)' )
     >       nma, teff, glog, reflam, rsu
           if( nma .gt. ndepth ) then
              write( stdout, * ) 'LINLTE>> ERROR: Not more than ',
     >          ndepth, ' depth points, please.'
              write( stdout, * ) '                Modify ATM.DAT !'
              call exit
           end if

           read( atm_dat, 9000 ) ( rtau(n), n = 1, nma )
           read( atm_dat, 9010 )
           read( atm_dat, 9000 ) ( theta(n), n = 1, nma )
           rmin = del*del + 0.003
           x = theta( 1 )
           ntmin = 1
           do 3 n = 2, nma
              if( theta(n) .gt. x ) then
                 x = theta( n )
                 ntmin = n
              end if

3          continue


           mt = 1
           l = nma
           do while( l - mt .ne. 1 )
              n = ( mt + l )/2
              if( rtau(n) .lt. taum ) then
                 mt = n
              else
                 l = n
              end if
           end do

           read( atm_dat, 9010 )
           read( atm_dat, 9000 ) ( pelg(n), n = 1, nma )
           read( atm_dat, 9010 )
           read( atm_dat, 9000 ) ( pglg(n), n = 1, nma )
           read( atm_dat, 9010 )
           read( atm_dat, 9000 ) ( algk(n), n = 1, nma )
           read( atm_dat, 9010 )
           read( atm_dat, 9000 ) ( algs(n), n = 1, nma )
           do 5 n = 1, nma
              roptot( n ) = xp( algk(n) ) + xp( algs(n) )
5          continue
           read( atm_dat, 9010 )
           read( atm_dat, 9000 ) ( r(n), n = 1, nma )
           read( atm_dat, 9010 )
           read( atm_dat, '( 1x, 5f14.6 )' ) ( xi(n), n = 1, nma )
           read( atm_dat, '( //, 1x, i8 )' ) lma
           if( lma .gt. nopcon ) then
              write( stdout, * ) 'LINLTE>> ERROR: Not more than ',
     >          nopcon, ' continuum opacity points, please.'
              write( stdout, * ) '                Modify ATM.DAT !'
              call exit
           end if

           do 6 l = 1, lma
              read( atm_dat, '( //, 1x, f9.2 )' ) olam( l )
              read( atm_dat, '( 1x, 5f9.3 )' ) ( alkl(n, l), n = 1,
     >          nma )
              read( atm_dat, '(/)' )
              read( atm_dat, '( 1x, 5f9.3 )' ) ( alsl(n, l), n = 1,
     >          nma )
6          continue

           iz = 0
           izei = ( nma + 9 )/10 + 1

7          continue
           if( iz .lt. ijma ) then
              read( atm_dat, '( //, 1x, i8 )', iostat = ist ) l
	      if( ist .lt. 0 ) then
	         do i = 1, ijma
C ***
C ***	            This lists all elements not found
C ***
	            if( namij(i) .ne. 0 ) then
	               write( stdout, * ) 'LINLTE>> ERROR: Element ',
     >                                    namij(i), ' not found in '//
     >                                    'ATM.DAT'
	            end if
	         end do
	         call exit
	      end if
              do i = 1, ijma
                 if( namij(i) .eq. l ) then
                    iz = iz + 1
                    namj(i) = l
	            namij(i) = 0	! for error check
                    read( atm_dat, '(1x, f8.3, /, (1x,10f8.3))' )
     >                chij(i), (zetaj(n, i), n = 1, nma)
	            go to 10

	         end if
              end do
              do k = 1, izei
                 read( atm_dat, '()' )
              end do

10            continue
              go to 7

           end if

           jma = ijma
           do 13 j = 1, jma
              ix = namj( j )/100
              if( namj(j) .gt. 10000 ) ix = namj( j )/1000000
              do 11 i = 1, ima
                 if( ix .eq. nami(i)/100 ) wtj( j ) = wti( i )
11            continue
              if( namj(j) .gt. 10000 ) then
                 do 12 i = 1, ima
                    if( mod(namj(j), 1000000)/100 .eq.
     >                  nami(i)/100 ) wtj( j ) = wtj( j ) + wti( i )
12               continue
              end if

13         continue

           write( stdout, * ) 'ATM.DAT  OK!'
	   write( stdout, '(/)' )
           close( unit = atm_dat )

        else

C ***
C ***      readin line, i.e., mode .eq. 2
C ***
           conti = .FALSE.
           kcontr = -1
           do 16 k = 1, nkma
              blend( k ) = .FALSE.
16         continue

           iz = 0
*          do while( iz .ne -5 )
17         continue
           if( iz .ne. -5 ) then
              call r_adv( fline_dat, line_dat )
              read( line_dat, * ) iz
              call r_back( line_dat )

C ***                     **
              if( iz .eq. -1 ) then
C ***                     **
C ***
C ***            Comment
C ***
                 read( line_dat, * ) iz

C ***                          **
	      else if( iz .eq. -4 ) then
C ***                          **
C ***
C ***	         switch LINE.DAT to different file
C ***		 switch back is handled in r_adv
C ***
                 read( line_dat, * ) iz, alt_line_dat
                 fline_dat = fline_dat + 1
	         open( fline_dat, file = alt_line_dat, status = 'old'
d    >                 , readonly, shared
     >               )

C ***                          **
	      else if( iz .eq. 90 ) then
C ***                          **
C ***
C ***	         H lines (ATLAS code)
C ***
                 read( line_dat, * ) iz, ifhop

C ***                          **
              else if( iz .eq. 80 ) then
C ***                          **
C ***
C ***            LTE/NLTE
C ***
                 read( line_dat, * ) iz, ifnlte
                 if( first .and. ifnlte .eq. 1 ) then
                    first = .FALSE.
                    open( unit = depart_dat, file = 'DEPART.DAT',
     >                    status = 'OLD'
d    >                    , readonly, shared
     >                  )
                    read( depart_dat, '(i4, 2x, a)' ) lmax, ident

                    if( lmax .gt. ndep + 1 ) then
                       write( stdout, * )
     >                   'LINLTE>> ERROR: Not more than ', ndep,
     >                   ' NLTE levels, please.'

                       write( stdout, * )
     >                   '                Modify ',
     >                   'DEPART.DAT or re-compile program !'

                       call exit
                    end if

                    read( depart_dat, '(5(1x,a4))' ) ( label(l),
     >                l = 1, lmax )
                    read( depart_dat, '(i8)' ) atom
                    do 18 n = 1, nma
                       read( depart_dat, '(5e15.7)' ) ( b(n, l),
     >                   l = 1, lmax )
18                  continue
                    close( depart_dat )
                    write( stdout, * ) 
     >                     'DEPART.DAT OK: '//ident(:64)
	            write( stdout, * )
     >                     '               '//ident(65:130)
	            write( stdout, * )
                    call putout( 5 )
                 end if

C ***                          **
              else if( iz .eq. 70 ) then
C ***                          **
C ***
C ***            plane parallel/spherical
C ***
                 read( line_dat, * ) iz, ifspha

C ***                          **
              else if( iz .eq. 60 ) then
C ***                          **
C ***
C ***            continuum scattering correct or fudge
C ***
                 read( line_dat, * ) iz, ifscat

C ***                          **
              else if( iz .eq. 55 ) then
C ***                          **
C ***
C ***            microturbulence
C ***
                 read( line_dat, * ) iz, xi_micro
                 do j = 1, jma
                    x = 83.808/wtj( j )
                    do n = 1, nma
                       vdop( n, j ) = sqrt( xi_micro*xi_micro +
     >                                x/theta(n) )/299792.5
                    end do
                 end do
C ***
C ***	         For output and depth dependency test later.  Not used elsewhere
C ***
                 xi( 1 ) = xi_micro
                 xi( 2 ) = xi_micro
        
C ***                          **
              else if( iz .eq. 54 ) then
C ***                          **
C ***
C ***            quantities to fit spectrum
C ***
                 read( line_dat, '(a)' ) line
	         call decode_fit_par( line )

C ***                          **
              else if( iz .eq. 53 ) then
C ***                          **
C ***
C ***            new abundance
C ***
                 read( line_dat, * ) iz, ielem, new_abu
                 if( ielem .gt. 9803 ) then
                    write( stdout, * ) 'LINLTE>> Abundance change for ',
     >                'molecules not implemented yet.'
                    write( stdout, * ) '         Modify LINE.DAT cntrl.'
     >                , ' flag 53 ', ielem, new_abu
                    call exit
                 end if

                 j = ielem/100
                 k = ielem - 100*j
                 do i = 1, ima
                    if( j .eq. nami(i)/100 ) then
                       dloggf( j, k ) = new_abu - abui( i )
                       go to 14

	            end if
                 end do
14              continue

C ***                          **
              else if( iz .eq. 52 ) then
C ***                          **
C ***
C ***            Delta log gamma rad (fudge factor)
C ***
                 read( line_dat, * ) iz, dloggr

C ***                          **
              else if( iz .eq. 51 ) then
C ***                          **
C ***
C ***            Delta log C4 (Stark broadening fudge factor)
C ***
                 read( line_dat, * ) iz, dlogc4

C ***                          **
              else if( iz .eq. 50 ) then
C ***                          **
C ***
C ***            Delta log C6 (van der Waals broadening fudge factor)
C ***
                 read( line_dat, * ) iz, dlogc6

C ***                          **
              else if( iz .eq. 40 ) then
C ***                          **
C ***
C ***            mu
C ***
                 read( line_dat, * ) iz, lcosthe

C ***                          **
              else if( iz .eq. 31 ) then
C ***                          **
C ***
C ***            keep this line fixed
C ***
                 read( line_dat, * ) iz
                 blend( 1 ) = .TRUE.

C ***                          **
              else if( iz .eq. 30 ) then
C ***                          **
C ***
C ***            number of blend lines
C ***
                 read( line_dat, * ) iz, kkma
                 if( kkma .gt. nkma ) then
                    write( stdout, * )
     >                'LINLTE>> ERROR: Not more than ', nkma,
     >                ' Lines, please.'
                    write( stdout, * )
     >                '                Modify LINE.DAT ',
     >                'cntrl. flag 30!'
                    call exit
                 end if


C ***                          **
              else if( iz .eq. 21 ) then
C ***                          **
C ***
C ***            W_lambda limit for output
C ***
                 read( line_dat, * ) iz, wlim

C ***                          **
              else if( iz .eq. 20 ) then
C ***                          **
C ***
C ***            what are we supposed to do?
C ***
                 read( line_dat, * ) iz, ia

                 j = 2**4
                 do i = 4, 1, -1
                    ia = mod( ia, j )
                    j = j/2
	            boa( i ) = ia/j .eq. 1
	         end do

C ***                          **
              else if( iz .eq. 15 ) then
C ***                          **
C ***
C ***            radial velocity
C ***
                 read( line_dat, * ) iz, irv
                 rvauto = irv .eq. 1
                 if( .not.rvauto ) then
C ***
C ***               get RV from LINE.DAT
C ***
                    call r_back( line_dat )
                    read( line_dat, *, iostat = ist ) iz, irv, rv
                    if( ist .lt. 0 ) rv = 0.  ! see comment below about EOF
                 else 
C ***
C ***               x-correlation
C ***
                    call r_back( line_dat )
                    read( line_dat, *, iostat = ist ) iz, irv, xrmin,
     >                                                xrmax
	            if( ist .lt. 0 ) then
C ***
C ***                  not all min/max there
C ***
C ***                  this will not necessarily work everywhere, e.g. Sun
C ***                  can't distinguish between EOF and conversion
C ***                  error, i.e., iostat is -1 in both cases.
C ***
                       xrmin = 0.
                       xrmax = xrmin
	            end if
                    if( xrmax .lt. xrmin ) then
	               write( stdout, * )
     >                   'LINLTE>> ERROR: XRMAX < XRMIN (flag 15)'
	               write( stdout, * )
     >                   '                Modify LINE.DAT !'
	               call exit
                    end if
	         end if

C ***                          **
              else if( iz .eq. 14 ) then
C ***                          **
C ***
C ***            rotational velocity, limb darkening
C ***
                 read( line_dat, * ) iz, vsini, beta_cl

C ***                          **
              else if( iz .eq. 13 ) then
C ***                          **
C ***
C ***            macro turbulence
C ***
                 read( line_dat, * ) iz, ximac

C ***                          **
              else if( iz .eq. 12 ) then
C ***                          **
C ***
C ***            print for wavelength point ISYN
C ***
                 read( line_dat, * ) iz, isyn

C ***                          **
              else if( iz .eq. 11 ) then
C ***                          **
C ***
C ***            write abs/rel fluxes
C ***
                 read( line_dat, * ) iz, i
                 write( ifabs, '(i6)' ) i
                 if( i .lt. 0 .or. (
     >               index( ifabs, '0' ) .eq. 0 .and. 
     >               index( ifabs, '1' ) .eq. 0 .and. 
     >               index( ifabs, '2' ) .eq. 0 .and. 
     >               index( ifabs, '3' ) .eq. 0 )
     >             ) then
	             write( stdout, * ) 'LINLTE>> ERROR: IFABS ',
     >                                  '(control index 11) out ',
     >                                  'of range: ', ifabs
	             write( stdout, * ) '         Modify LINE.DAT'
                     call exit
                 end if

C ***                          **
              else if( iz .eq. 10 ) then
C ***                          **
C ***
C ***            synthesis interval
C ***
	         ypmin = 0.
	         ypmax = 0.
	         xpmin = 0.
	         xpmax = 0.
                 i = 1
                 read( line_dat, * ) iz, anfsyn, endsyn, delsyn, itv
	         if( itv .ge. 2 ) then
	            call r_back( line_dat )
                    read( line_dat, *, iostat = ist ) iz, anfsyn,
     >                endsyn, delsyn, itv, ypmin, ypmax, xpmin, xpmax, i
	            if( ist .lt. 0 ) then
C ***
C ***                  not all min/max there, try again without i
C ***
C ***                  this will not necessarily work everywhere, e.g. Sun
C ***                  can't distinguish between EOF and conversion
C ***                  error, i.e., iostat is -1 in both cases.
C ***
                       i = 1
                       call r_back( line_dat )
                       read( line_dat, *, iostat = ist ) iz, anfsyn,
     >                   endsyn, delsyn, itv, ypmin, ypmax, xpmin, xpmax
                       if( ist .lt. 0 ) then
C ***
C ***                     No xpmin, xpmax, try again without them
C ***

	                  xpmin = 0.
	                  xpmax = 0.
                          call r_back( line_dat )
                          read( line_dat, *, iostat = ist ) iz, anfsyn,
     >                      endsyn, delsyn, itv, ypmin, ypmax
	                  if( ist .lt. 0 ) then
C ***
C ***                        too bad, ypmin/max missing as well, 
C ***
	                     ypmin = 0.
	                     ypmax = 0.
	                     xpmin = 0.
	                     xpmax = 0.
                             call r_back( line_dat )
                             read( line_dat, * ) iz, anfsyn, endsyn,
     >                         delsyn, itv
                          end if
                       end if
	               if( ist .gt. 0 ) then
                          write( stdout, * )
     >                      'LINLTE>> ERROR: when reading flag 10:'
                          write( stdout, * )
     >                      '                read: ', iz, anfsyn,
     >                      endsyn, delsyn, itv
	                  call exit
                       end if
	            end if
	         end if

	         pid = i .eq. 1

                 wawsyn = anfsyn
                 iend = ( endsyn - abs(anfsyn) )/delsyn + 1.5
                 if( iend .gt. ipkt - 1 ) then
                    write( stdout, * )
     >                'LINLTE>> ERROR: Not more than', ipkt,
     >                ' points in synthesis, please.'
                    write( stdout, * )
     >                '                You were trying', iend,
     >                ' points.'
                    write( stdout, * )
     >                '                Modify LINE.DAT ',
     >                'cntrl. flag 10!'
                    call exit
                 end if

                 ifwave = anfsyn .lt. 0
                 if( ifwave ) then
                    wawsyn = -wawsyn
                    anfwav = -anfsyn
                    endwav = endsyn
                    delwav = delsyn
                    help = airlam( -anfsyn )
                    anfsyn = airlam( endsyn )
                    endsyn = help
                 end if

                 rinter = endsyn - abs( anfsyn ) + 1.
                 if( rinter .gt. idel ) then
                    write( stdout, * )
     >                'LINLTE>> ERROR: Interval of synthesis is  ',
     >                rinter, ' ngstrms; '
	            write( stdout, * )
     >                '                max. allowed: ', idel
                    write( stdout, * )
     >                '                Modify LINE.DAT ',
     >                'cntrl. flag 10!'
                    call exit
                 end if

		 if( itv .ne. 0 .and.
     >               itv .ne. 1 .and.
     >               itv .ne. 2 .and.
     >               itv .ne. 3 ) then
	            write( stdout, * ) 
     >                'LINLTE>> ERROR: ITV out of range: ', itv
	            write( stdout, * ) 
     >                '                Must be 0, 1, 2, or 3.'
                    write( stdout, * )
     >                '                Modify LINE.DAT ',
     >                'cntrl. flag 10!'
                    call exit
	         end if

C ***                          *
              else if( iz .eq. 9 ) then
C ***                          *
C ***
C ***            Fit limits:
C ***
C ***		 0: whole range
C ***	         1: select on screen
C ***            2: read from file
C ***
	         read( line_dat, * ) iz, iflimits, ifauto
	         if( iflimits .lt. 0 .or. iflimits .gt. 3 .or. 
!     >               ifauto .lt. 0 .or. ifauto .gt. 1 ) then
     >               ifauto .lt. 0 ) then
	            write( stdout, * ) 
     >                'LINLTE>> ERROR: Don''t know what you mean with ',
     >                                              iz, iflimits, ifauto
                    write( stdout, * ) 
     >                '                First parameter must be'
                    write( stdout, * ) 
     >                '                0 for fitting whole range'
                    write( stdout, * ) 
     >                '                1 for selection with cursor'
                    write( stdout, * ) 
     >                '                2 for taking from file'
                    write( stdout, * ) 
     >                '                3 for taking from file and ',
     >                'cursor'
	            write( stdout, * )
                    write( stdout, * ) 
     >                '                Second parameter must be'
                    write( stdout, * ) 
     >                '                0 for interactive termination',
     >                ' of fitting procedure'
                    write( stdout, * ) 
     >                '                1 for automatic termination'
	            call exit
	         end if
C ***                          *
              else if( iz .eq. 0 ) then
C ***                          *
C ***
C ***            Continuum
C ***
                 read( line_dat, * ) iz, mlam, ccosthe
                 conti = .TRUE.
                 if( mlam .lt. 0. ) kcontr = 1
                 mlam = abs( mlam )
                 costhe = ccosthe
                 if( costhe .lt. 0. ) then
                    ifsurf = 1
                 else
                    ifsurf = 2
                 end if
	         return


C ***                               **
              else if( abs(iz) .ge. 98 ) then
C ***                               **
C ***
C ***            line data
C ***

		 if( boa(4) .and. boa(2) ) then
C ***
C ***		    some error checks for spectrum fits
C ***
   	            screen = itv .eq. 2
	            paper = itv .eq. 3
	            if( iflimits .eq. 1 .or. iflimits .eq. 3) then
	               if( paper ) then
	                  write( stdout, * ) 
     >                      'LINLTE>> ERROR: Sorry, you can''t select',
     >                      ' limits on paper.'
	                  write( stdout, * )
     >                      '                Set ITV to 2 (flag 10)',
     >                      ' or get limits from file (flag 9).'
	                  call exit
	               else
                          itv = 2
	               end if
	            end if

	            if( .not.screen .and. .not.paper .and.
     >                  iflimits .ne. 2 ) then
	               write( stdout, * )
     >                   'LINLTE>> ERROR: No graphics device specified.'
	               write( stdout, * )
     >                   '                Modify LINE.DAT flag 10!'	
                       call exit
	            end if
	         end if
        

                 kma = kkma
                 single = kma .eq. 1
                 costhe = lcosthe
                 if( costhe .lt. 0. ) then
                    ifsurf = 1
                 else
                    ifsurf = 2
                 end if
                 call r_back_f( fline_dat )

	         k = 1
	         done = kkma .ne. -1  ! count lines if kkma == -1
	         do while( k .le. kma .or. .not.done )
!                 do 21 k = 1, kma
C ***
C ***               read all blend lines
C ***

20                  continue
                    call r_adv( fline_dat, line_dat )
                    read( line_dat, * ) i

                    if( i .eq. -1 ) then
C ***
C ***                  Comment
C ***
                       go to 20

                    else if( i .eq. 31 ) then
                       blend( k ) = .TRUE.
                       go to 20

                    else if( iz .eq. 52 ) then
C ***                                **
C ***               
C ***                  Delta log gamma rad (fudge factor)
C ***               
                       read( line_dat, * ) iz, dloggr
                       go to 20
                    
C ***                                **
                    else if( iz .eq. 51 ) then
C ***                                **
C ***               
C ***                  Delta log C4 (Stark broadening fudge factor)
C ***               
                       read( line_dat, * ) iz, dlogc4
                       go to 20
                    
C ***                                **
                    else if( iz .eq. 50 ) then
C ***                                **
C ***               
C ***                  Delta log C6 (van der Waals broadening fudge factor)
C ***               
                       read( line_dat, * ) iz, dlogc6
                       go to 20

                    else if( i .eq. -4 ) then
C ***
C ***	               switch to alternate LINE.DAT
C ***
                       call r_back( line_dat )
                       read( line_dat, * ) i, alt_line_dat

	               fline_dat = fline_dat + 1
	               open( fline_dat, file = alt_line_dat,
     >                       status = 'old'
d    >                       , readonly, shared
     >                     )
	               go to 20

                    else if( i .lt. 98 ) then
	               if( kkma .eq. -1 .and. i .eq. 30 ) then
C ***
C ***                     End of counted blend
C ***
                          call r_back( line_dat )
	                  read( line_dat, * ) i, j
	                  if( j .eq. -1 ) then
	                     done = .true.		! done with this blend
	                     kma = k - 1		! counted k - 1 lines
                             call r_back( line_dat )	! for next run through
	                     go to 21	! cycle         ! LINE.DAT
	                  end if                       
	               end if
	                  
                       if( .not.done ) then
                          call r_back( line_dat )
                          read( line_dat, '(a)' ) line
                          
                          write( stdout, * ) 
     >                      'LINLTE>> ERROR: Global parameters must ',
     >                      'not be changed within a blend!'
                          
                          write( stdout, * ) 
     >                      '                Was trying to read blend ',
     >                      'line #', k, ' when finding:'
                          
                          write( stdout, * ) '                ',
     >                      line( :idx(line) )
                          
                          write( stdout, * ) 
     >                      '                Modify LINE.DAT'
                          call exit
	               end if

                    else
                       call r_back( line_dat )
                       read( line_dat, * ) i, j, x, x, x, x
                    end if

                    if( ifnlte .eq. 1 ) then
C ***
C ***                  Line in NLTE
C ***
                       ist = 0
                       lowk = ' '
                       upk = ' '
                       if( x .ge. 0. ) then
                          call r_back( line_dat )

                          read( line_dat, *, iostat = ist ) 
     >                      namk( k ), mult( k ), lamk( k ), chik( k ),
     >                      gflg( k ), drrca( k ), c4lg( k ), rad( k ),
     >                      wnote( k ), lowk, upk

                          if( ist .gt. 0 ) then
                             call r_back( line_dat )
                             lowk = ' '
                             upk = ' '
                             read( line_dat, *, iostat = ist ) 
     >                         namk( k ), mult( k ), lamk( k ),
     >                         chik( k ), gflg( k ), drrca( k ),
     >                         c4lg( k ), rad( k ), wnote( k ),
     >                         low( k ), up( k )

                          end if

                       else
                          call r_back( line_dat )
                          read( line_dat, *, iostat = ist )
     >                      namk( k ), mult( k ), lamk( k ), chik( k ),
     >                      gflg( k ), drrca( k ), lu( k ), diu( k ),
     >                      lo( k ), dio( k ), c4lg( k ), rad( k ),
     >                      wnote( k ), lowk, upk

                          if( ist .gt. 0 ) then
                             call r_back( line_dat )
                             lowk = ' '
                             upk = ' '
                             read( line_dat, *, iostat = ist )
     >                         namk( k ), mult( k ), lamk( k ),
     >                         chik( k ), gflg( k ), drrca( k ),
     >                         lu( k ), diu( k ), lo( k ), dio( k ),
     >                         c4lg( k ), rad( k ), wnote( k ),
     >                         low( k ), up( k )

                          end if

                       end if

                       if( ist .ne. 0 ) then
                          write( stdout, * ) 'LINLTE>> ERROR: Can''t ',
     >                      'read LINE.DAT: '
                          call exit( ist )
                       end if

                       call lab_decode( lowk, label(1), lmax, low(k) )
                       call lab_decode( upk, label(1), lmax, up(k) )
                       if( atom/100 .ne. namk(k)/100 ) then
                          if( up(k) .ne. lmax .or.
     >                        low(k) .ne. lmax ) then
                             low( k ) = lmax
                             up( k ) = lmax

                             write( stdout, '(1x, 2a, i8, a)' )
     >                         'LINLTE>> WARNING:  No departures for ',
     >                         'element', namk( k ), ', LTE assumed.'

                             write( 3, '(2a, i8, a)' )
     >                         ' No departures ', 'for element',
     >                         namk( k ), ', LTE assumed.'

                          end if
                       end if
                    else 
C ***
C ***                  Line in LTE
C ***
	               if( x .ge. 0. ) then
                          call r_back( line_dat )
                          read( line_dat, * ) namk( k ), mult( k ),
     >                      lamk( k ), chik( k ), gflg( k ), drrca( k ),
     >                      c4lg( k ), rad( k ), wnote( k )
                       else
                          call r_back( line_dat )
                          read( line_dat, * ) namk( k ), mult( k ),
     >                      lamk( k ), chik( k ), gflg( k ), drrca( k ),
     >                      lu( k ), diu( k ), lo( k ), dio( k ),
     >                      c4lg( k ), rad( k ), wnote( k )
                       end if
	            end if

                    if( lamk(k) .lt. 0 ) lamk( k ) = airlam( -lamk(k) )
                    if( namk(k) .le. 9803 ) then
                       i = namk( k )/100
                       j = namk( k ) - 100*i
                       gflg( k ) = gflg( k ) + dloggf( i, j )
                    end if

                    lprof(k) = selprof( k )
                    if( namk( k ) .eq. 100 ) call h_data( k )
                    if( namk( k ) .eq. 201 ) call he2_data( k )
C ***
C ***               Find ABUK(K) and KJ(K)
C ***
                    abuk( k ) = 0.
                    do i = 1, ima
                       if( namk(k)/100 .eq. nami(i)/100 ) then
                          abuk( k ) = abui( i )
                          go to 22

                       end if
                    end do
22                  continue

                    do j = 1, jma
                       if( namk(k) .eq. namj(j) ) then
                          go to 24

                       else if( j .eq. jma ) then
                          write( stdout, * )
     >                      'LINLTE>> ERROR: Element ', namk( k ),
     >                      ' not listed in part 1 of LINE.DAT!'

                          write( stdout, * )
     >                      '                Modify LINE.DAT'
                          call exit

                       end if
                    end do

24                  continue
		    kj( k ) = j

	            call gam( k )	! needs kj among other stuff

	            k = k + 1
                    if( k .gt. nkma ) then ! we've got an n+1 error here but
                       write( stdout, * )  ! what the heck...	
     >                   'LINLTE>> ERROR: Not more than ', nkma-1, ! correct
     >                   ' Lines, please.'
                       write( stdout, * )
     >                   '                Remove lines from LINE.DAT ',
     >                   'after line ', namk(k-1), lamk(k-1)
                       call exit
                    end if

21               continue
	         end do

	         if( ifhop .eq. 1 ) then
C ***
C ***		    fake a line for H line opacity
C ***
	            k = kma + 1
                    if( k .gt. nkma ) then
	               write( stdout, * )
     >                   'LINLTE>> ERROR:  Can''t include H opacity -',
     >                   ' too many lines.'
	               call exit
	            end if
!                    namk( k ) = namk( kma )
                    namk( k ) = 102
                    mult( k ) = mult( kma )
	            lamk( k ) = lamk( kma )
                    chik( k ) = chik( kma )
                    gflg( k ) = gflg( kma )
                    drrca( k ) = drrca( kma )
                    lu( k ) = lu( kma )
                    diu( k ) = diu( kma )
                    lo( k ) = lo( kma )
                    dio( k ) = dio( kma )
                    c4lg( k ) = c4lg( kma )
                    rad( k ) = rad( kma )
                    wnote( k ) = wnote( kma )
                    low( k ) = lmax
                    up( k ) = lmax
	            lprof( k ) = selprof( k )
	            kma = kma + 1
      
                 end if

                 if( boa(4) ) then
C ***
C ***               spectrum synthesis
C ***
	            if( anfsyn .le. 0. ) then
	               write( stdout, * )
     >                   'LINLTE>> ERROR: No synthesis interval set.'
	               write( stdout, * )
     >                   '                Specify line with control ',
     >                   'flag 10 in LINE.DAT.'
	               call exit
	            end if

	            anflam = anfsyn
                    endlam = endsyn
                    dellam = 1000.*delsyn

                    do 19 i = 1, iend
                       waw = anfsyn + (i-1)*delsyn
                       if( ifwave ) then
                          lascan( iend - i + 1 ) = airlam( waw )
                       else
                          lascan( i ) = waw
                       end if
19                  continue

                    do 26 k = 1, kma
                       if( mult(k) .lt. 0 ) kcontr = k
                       dlk( k ) = 1000.*lamk( k ) - 1000.*anflam
26                  continue

                 else
C ***
C ***               line analysis
C ***
                    wobs = wnote( kma )
                    x = 1.e38
                    mlam = 0.
                    do 27 k = 1, kma
                       mlam = mlam + lamk( k )
                       x = min( x, lamk(k) )
27                  continue
                    mlam = mlam/kma
                    endlam = 0.
                    do 28 k = 1, kma
                       if( mult(k) .lt. 0 ) kcontr = k
                       dlk( k ) = 1000.*lamk( k ) - 1000.*x
                       endlam = max( endlam, dlk(k) )
28                  continue
                    dldop = 1000.*mlam*vdop( mt, kj(abs(kcontr)) )
                    endlam = endlam + 2.*dldop
                 end if
                 return

C ***                          **
              else if( iz .ne. -5 ) then
C ***                          **
C ***
C ***            Error
C ***
                 write( stdout, * )
     >             'LINLTE>> ERROR: Unknown control flag:', iz
                 call exit
              end if

              go to 17

           end if

           call exit
        end if


9000    format( 1x, 5e14.6 )
9010    format( // )
        end
	include 'READE.INC'
