	subroutine plote( idev )
C ***
C ******************************************************************************
C ***
C ***	Closes plot device.  Plot package dependent.  Mongo/Unix version.
C ***
C ***
C ***	21-NOV-1994 17:48:09.00		ML / IoA.  Created
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	integer idev

C ***
C ***	Local variables
C ***
	integer context, i, length
	character*1024 file_name

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'

C ***
C ***	Functions
C ***
	integer idx, versname, putenv	!$pragma c( putenv )
!	integer rename



	call pltend	! close plot
	call trap_pltend( .false. )

	if( idev .eq. 3 ) then
C ***
C ***	   rename postscript file to new version number
C ***
	   call post_file_name( file_name, length )	! get PS file name

	   i = putenv( 'VERSIONS=do'//char(0) )	! make sure we get versions
	   context = 0
	   i = versname( file_name(:length), 'N', file_name, context )
	   if( i .ne. 1 ) then
	      write( stdout, * ) 'PLOTE> Cannot construct new filename'
	      write( stdout, * ) '       Old postscript file might get',
     >                           ' overwritten.'
	   end if
!SunOS	   i = rename( file_name(:length), file_name(:idx(file_name)) )
           call rename( file_name(:length),
     >                  file_name(:idx(file_name)), i )  ! Linux
	   if( i .ne. 0 ) then
	      write( stdout, * ) 'PLOTE> Cannot rename ',
     >                           file_name(:length)
	      write( stdout, * ) '       Old postscript file might get',
     >                           ' overwritten.'
	      call perror('PLOTE')
	   end if
	end if

	end
	subroutine post_file_name( file_name, length )
C ***
C ***	Return basename of postscript file used by Mongo.
C ***
C ***	file_name	< C 	postscript file name
C ***	length		< I	# of characters in file_name
C ***
	implicit none

	character*(*) file_name
	integer length

!	include '($jpidef)'
	integer i, j, ierr

	integer idx
	
!       ierr = lib$getjpi( jpi$_imagname,,,,file_name, i )
!	do while( file_name(i:i) .ne. '.' )
!	   i = i - 1
!	end do
!	j = i - 1
!	do while( file_name(i:i) .ne. ']' )
!	   i = i - 1
!	end do
!	file_name = file_name( i+1:j )
!	i = min( j - i + 1, 32 - 4 )

	call getarg( 0, file_name )
	if( index( file_name, '/' ) .gt. 0 ) then
	   do i = idx(file_name), 1, -1
	      if( file_name(i:i) .eq. '/' ) go to 1
	   end do
1	   continue
	   file_name = file_name(i+1:)
	end if
	length = idx( file_name )
	file_name(length+1:) = '.ps'
	length = length + 3

	end
