      SUBROUTINE LIB_GET_FOREIGN(COMMAND,LENGTH)
C
C     L I B _ G E T _ F O R E I G N
C
C     Get command line argument.  Modeled after the VMS system call.
C *** Note that arguments are different!
C
C     Parameters -   (">" input, "!" modified, "<" output)
C
C     (<) COMMAND    (String) The command line
C     (<) LENGTH     (Integer) The length of COMMAND
C
C     History:
C
C     9th  Sep 1989.  SNS / CIT. Original.
C     13th Sep 1989.  SNS / CIT. Code to handle one argument case added.
C     13th Dec 1989.  SNS / CIT. Sun version hacked up to assume three args.
C *** 18-JUN-1992     ML  / UT   Make it work like VMS, man!
C *** 15-AUG-1997 17:33:22.00 ML / Bamberg.  Made from lib$get_foreign.
C+
	IMPLICIT NONE
C
	CHARACTER COMMAND*(*)
	INTEGER LENGTH
C
C    	 Functions
C
	INTEGER IARGC, IDX
C
C     	Local Variables
C
	INTEGER i


	length = 0

	do i = 1, iargc()
	   CALL GETARG( i, command(length+1:) )	! this does overflow if command
						! too short
           length = idx( command ) + 1
           if( length .le. len(command) ) then
              command(length:length) = ' '		! for safety
	   end if
           if( length .ge. len(command) ) go to 1
	end do
1       continue

        if( length .gt. 0 ) then
           command(length:) = ' '
	end if

	END
