        subroutine ac1bf( alam, m, alamm, em, gm, am )
	implicit none

	real alam, alamm, em, gm, am
	integer m

C ***	C I level M:edge ALAMM,energy EM,weight GM,b-f cross-section AM
C ***	Hofsaess(1979):stf for levels m > 3
C ***	levels m <= 3 Opacity project data
C ***	excited levels m > 3 shortward of edge hydrogenic
C ***
C ***	30-NOV-1993 20:30:38.00		ML / IoA
C ***

	include 'OP.INC'

	integer nl1, nl2, nl3
	parameter( nl1 = 598, nl2 = 523, nl3 = 540 )

	integer l
	real x

	real geta

        real edges( 13 ), x_sect( 13 ), ei( 13 ), gi( 13 ), 
     >       al1( nl1 ), ax1( nl1 ), al2( nl2 ), ax2( nl2 ), al3( nl3 ),
     >       ax3( nl3 )
        data ( edges(l), l = 1, 13 )/1100., 1239., 1444., 998., 3280.,
     >       3459., 1433., 983., 4552., 4733., 4965., 5127., 5472./
        data ( x_sect(l), l = 1, 13 )/1.395E-17, 1.478E-17, 1.733E-17,
     >       1.313E-17, 1.455E-19, 1.068E-18, 1.203E-17, 7.269E-18,
     >       2.829E-18, 1.764E-18, 2.257E-18, 2.436E-18, 3.848E-18/
        data ( ei(l), l = 1, 13 )/0.00, 1.26, 2.68, 4.18, 7.49, 7.68,
     >       7.95, 7.95, 8.54, 8.64, 8.77, 8.85, 9.00/
        data ( gi(l), l = 1, 13 )/9., 5., 1., 5., 9., 3., 15., 15., 3.,
     >       15., 3., 9., 5./

	include 'AC1BF1.INC'
	include 'AC1BF2.INC'
	include 'AC1BF3.INC'

        if( m .lt. 1 .or. m .gt. 13 ) then
           em = 0.
           gm = 0.
           am = 0.
           alamm = 0.
        else
           alamm = edges( m )
           em = ei( m )
           gm = gi( m )
           if( alam .le. alamm ) then
              go to ( 10, 20, 30, 40 ) m
10               am = geta( alam, al1, ax1, nl1 )
                 go to 50
              
20               am = geta( alam, al2, ax2, nl2 )
                 go to 50
              
30               am = geta( alam, al3, ax3, nl3 )
                 go to 50
              
40               x = alam/alamm
                 am = x_sect( m )/athoms*x*x*x
                 go to 50
              
50            continue
	   else
              am = 0.
           end if
        end if
        end
	function geta( alam, al, ax, n )
	implicit none

	integer n
	real geta, alam, al(n), ax(n)

	include 'OP.INC'

	integer l, k


	l = n - 1
        do 1 k = 1, n - 1
           if( alam .le. al(k) .and.
     >         alam .ge. al(k + 1) ) l = k
1       continue
        geta = 1.e-18*( ax( l ) + ( ax(l + 1) - ax(l) )*
     >                  ( alam - al(l) )/( al(l + 1) - al(l) )
     >                )/athoms

	end         
