        SUBROUTINE COLRAT( IELEM, IID, C, ICOL )
C ***
C ******************************************************************************
C ***
C ***   Selects collision routine for element IELEM.
C ***
C ***            21-MAY-1992 22:23:27.28
C ***
C ***	17-MAY-1996 13:52:41.99		ML / Bamberg.  ICOL, implicit none
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	integer ielem, iid, icol
        real c(icol,icol)


C ***
        IF( IELEM .EQ. 2 ) THEN
C ***
C ***      Helium
C ***
           CALL HECLRT( IID, C, icol )
        ELSE IF( IELEM .EQ. 12 ) THEN
C ***
C ***      Magnesium
C ***
           CALL MGCLRT( IID, C, icol )
        ELSE IF( IELEM .EQ. 26 ) THEN
C ***
C ***      Iron
C ***
           CALL FECLRT( IID, C, icol )
        ELSE IF( IELEM .EQ. 56 ) THEN
C ***
C ***      Barium
C ***
           CALL BACLRT( IID, C, icol )
        ELSE
C ***
C ***      Other
C ***
           CALL GENCLRT( IID, C, icol )
        END IF
        END
