      PROGRAM EDDFAC
C ***
C ***    4-JUN-1991 15:41:21.48
C ***   10-MAY-1995 15:32:52.00         ML / IoA.  Changed reading of OPA
C ***	17-MAY-1996 13:22:56.04		ML / Bamberg.  Get rid of COMMON V
C ***                                   Appears *only* in EDDFAC...
C ***
      INCLUDE 'MOD_SIZ.INC'

      INTEGER NMU
      PARAMETER( NMU = 3 )

      INTEGER F_OPA, F_BOUND, F_RURD, F_RADFK
      PARAMETER( F_OPA = 23, F_BOUND = 24, F_RURD = 31, F_RADFK = 30 )

      CHARACTER*132 HEAD
      LOGICAL RADFK, RAT, LPT
      REAL CHIOLD(M_DEPTH), BNUIT(M_DEPTH), BC(NMU)
      REAL CHIE(M_DEPTH), SIG(M_DEPTH), WT(M_DEPTH)
      REAL RAD(M_DEPTH), FK(M_DEPTH), RD(M_DEPTH), RU(M_DEPTH),
     >     FLUX(m_grid)
      REAL CHI(M_DEPTH), ETA(M_DEPTH), MU(NMU), WTMU(NMU),
     >  NU(NMU,M_DEPTH), D(NMU,NMU,M_DEPTH), A(NMU), B(NMU,NMU), C(NMU),
     >  L(NMU)

      INTEGER NL, NK, NDEPTH, NJ, NT, NF1, LOW, UP, LABEL
      REAL GR
      COMMON /NNS/ NL, NK, NDEPTH, NJ, NT, NF1(M_LINES), LOW(M_LINES),
     >  UP(M_LINES), GR(M_LINES), LABEL(M_LEVELS + 2)

      INTEGER NXTION
      REAL M, RHO, N
      COMMON /MODEL/ M(M_DEPTH), RHO(M_DEPTH), NXTION(M_LEVELS),
     >  N(M_DEPTH,M_LEVELS)

*	COMMON V(2*M_DEPTH)
*      EQUIVALENCE (V,CHI,RAD), (V(M_DEPTH+1),ETA,FK)

      DATA MU / 0.8872983346, 0.5, 0.1127016654 /,
     >  WTMU/ 0.277777777778, .444444444444, 0.277777777778 /


      READ( *, * ) IFRAT, IFLPT, IFFILE
      RAT = IFRAT .EQ. 1
      LPT = IFLPT .EQ. 1
      RADFK = IFFILE .EQ. 1

      OPEN( F_OPA, FILE = 'OPA', FORM = 'UNFORMATTED' )
      OPEN( F_BOUND, FILE = 'BOUND', FORM = 'UNFORMATTED' )
      OPEN( F_RURD, FILE = 'RURD', FORM = 'UNFORMATTED' )
      IF( RADFK ) OPEN( F_RADFK, FILE = 'RADFK', FORM = 'UNFORMATTED' )

      CALL INPEDD( HEAD, ITER )
      REWIND F_OPA
      REWIND F_BOUND
      REWIND F_RURD
      IF( RADFK ) REWIND F_RADFK

      IF( LPT ) THEN
         WRITE( *, '(2A)' ) '1', HEAD
         WRITE( *, '(A, I5)' ) ' ITERATION  ', ITER
      END IF
      DO IT = 1, NT
         N1 = NF1(IT)
         II = LOW(IT)
         JJ = UP(IT)
         CALL RE2( F_OPA, BNUIT, NDEPTH, CHIE, NDEPTH )
         CALL RE2( F_OPA, BNU, 1, FREQ, 1 )
         DO ID = 1, NDEPTH
            RU(ID) = 0.
            RD(ID) = 0.
         END DO
         DO IJ = 1, N1
            CALL RE3( F_OPA, chiold, ndepth, SIG, NDEPTH, WT, NDEPTH )
            CALL RE1( F_BOUND, BC, NMU )
            DO ID = 1, NDEPTH
               DIV = 1./RHO(ID)
               E = SIG(ID)*N(ID,JJ)*GR(IT)*DIV
               CHI(ID) = CHIE(ID) + CHIOLD(ID) + SIG(ID)*N(ID,II)*DIV -
     >           E
               ETA(ID) = chiold(id)*BNUIT(ID) + BNU*E
            END DO
            FAK = 1.
            FAK2 = 1.
            HPLUS = 0.
            DO I = 1, NMU
               HPLUS = HPLUS + WTMU(I)*MU(I)*BC(I)
            END DO
            ID = 1
            ST = ( ETA(1)/CHI(1) )*FAK
            SS = -CHIE(1)/CHI(1)
            ST1 = ST
            SS1 = -SS
            TAU1 = M(1)*CHI(1)
            DTP1 = 0.5*( M(2) - M(1) )*( CHI(1) + CHI(2) )
            DO I = 1, NMU
               F = 1. - EXP( -TAU1/MU(I) )
               DIV = 0.5*DTP1/MU(I)*FAK2
               L(I) = ( DIV + F )*ST
               C(I) = MU(I)/DTP1*FAK2
               NU(I,ID) = 0.
               DO J = 1, NMU
                  B(I,J) = SS*WTMU(J)*( DIV + F )
               END DO
               B(I,I) = B(I,I) + FAK2 + C(I) + DIV
            END DO
            CALL MATI( B, NMU, 3 )
            DO I = 1, NMU
               DO J = 1, NMU
                  D(I,J,1) = B(I,J)*C(J)
                  NU(I,ID) = NU(I,ID) + B(I,J)*L(J)
               END DO
            END DO
            NDM1 = NDEPTH - 1
            DO ID = 2, NDM1
               DTM1 = DTP1
               DTP1 = 0.5*( M(ID+1) - M(ID) )*( CHI(ID+1) + CHI(ID) )
               DT0 = 0.5*( DTP1 + DTM1 )
               SS = -CHIE(ID)/CHI(ID)
               ST = ( ETA(ID)/CHI(ID) )*FAK
               DO I = 1, NMU
                  A(I) = MU(I)**2/DTM1/DT0*FAK2
                  C(I) = MU(I)**2/DTP1/DT0*FAK2
                  DO J = 1, NMU
                     B(I,J) = SS*WTMU(J)*FAK2
                  END DO
                  B(I,I) = B(I,I) + A(I) + C(I) + FAK2
                  L(I) = ST*FAK2 + A(I)*NU(I,ID-1)
               END DO
               DO I = 1, NMU
                  DO J = 1,NMU
                     B(I,J) = B(I,J) - A(I)*D(I,J,ID-1)
                  END DO
               END DO
               CALL MATI( B, NMU, 3 )
               DO I = 1, NMU
                  NU(I,ID) = 0.
                  DO J = 1, NMU
                     D(I,J,ID) = B(I,J)*C(J)
                     NU(I,ID) = NU(I,ID) + B(I,J)*L(J)
                  END DO
               END DO
            END DO
            ID = NDEPTH
            DO I = 1, NMU
               A(I) = MU(I)/DTP1*FAK2
               L(I) = BC(I)*FAK*FAK2 + A(I)*NU(I,ID-1)
               DO J = 1, NMU
                  B(I,J) = -A(I)*D(I,J,ID-1)
               END DO
               B(I,I) = B(I,I) + A(I) + FAK2
            END DO
            CALL MATI( B, NMU, 3 )
            DO I = 1, NMU
               NU(I,ID) = 0.
               DO J = 1, NMU
                  D(I,J,ID) = 0.
                  NU(I,ID) = NU(I,ID) + B(I,J)*L(J)
               END DO
            END DO
            DO ID = NDEPTH, 1, -1
               IF( ID .NE. NDEPTH ) THEN
                  DO I = 1, NMU
                     DO J = 1, NMU
                        NU(I,ID) = NU(I,ID) + D(I,J,ID)*NU(J,ID+1)
                     END DO
                  END DO
               END IF
               AVJ = 0.
               AVH = 0.
               AVK = 0.
               AVIM = 0.
               DO I = 1, NMU
                  AVJ = AVJ + WTMU(I)*NU(I,ID)
                  AVH = AVH + WTMU(I)*MU(I)*NU(I,ID)
                  AVK = AVK + WTMU(I)*MU(I)**2*NU(I,ID)
               END DO
               IF( ID .EQ. 1 ) THEN
                  DO I = 1, NMU
                     AVIM = AVIM + WTMU(I)*MU(I)*(ST1 + SS1*AVJ)*(1. -
     >                 EXP( -TAU1/MU(I) ))
                  END DO
               END IF
               FK(ID) = AVK/AVJ
               RAD(ID) = AVJ/FAK
               IF( ID .EQ. NDEPTH ) FH1 = AVH/AVJ
               IF( ID .EQ. 1 ) THEN
                  FLUX(IJ) = AVH/FAK
                  FH0 = ( AVH - AVIM )/AVJ
               END IF
            END DO
            IF( RADFK ) THEN
               CALL WR2( F_RADFK, RAD, NDEPTH, FK, NDEPTH )
               WRITE( F_RADFK ) FH0, FH1, HPLUS
            END IF
            IF( RAT ) THEN
               DO ID = 1,NDEPTH
                  C0 = (1.8966E27/FREQ)*WT(ID)*SIG(ID)
                  RU(ID) = RU(ID) + C0*RAD(ID)
                  RD(ID) = RD(ID) + C0*( BNU + RAD(ID) )*GR(IT)
               END DO
            END IF
         END DO
         CALL WR2( F_RURD, RU, NDEPTH, RD, NDEPTH )
         IF( LPT ) THEN
            WRITE( *, '( A, I3, A, 1P, E11.4, A, 1P, E11.4)' ) '0IT = ',
     >        IT, '  F0 = ', FLUX(1), '  F1 = ', FLUX(N1)
            WRITE( *, '(X)' )
            WRITE( *, '(13F10.5)' ) (flux(ij)/flux(n1), IJ = 1, N1)
         END IF
      END DO
      REWIND F_RURD
      REWIND F_OPA
      REWIND F_BOUND
      IF( RADFK ) REWIND F_RADFK
      CLOSE( F_OPA )
      CLOSE( F_BOUND )
      CLOSE( F_RURD )
      IF( RADFK ) CLOSE( F_RADFK )
      END
                                           
