      FUNCTION GAUHFF(ZION,ALAM,TEMP)
C     GAUNT FACTOR:HYDROGENIC ION OF CHARGE ZION
C     KARZAS&LATTER(1961),NO EXTRAPOLATION
      INCLUDE 'OP.INC'
      DIMENSION ALU(12),ALG2(5),G(12,5)
      AALU=ALOG10(HNU/AKT)
      IF(AALU.LT.-4.0)AALU=-4.0
      IF(AALU.GT.+1.5)AALU=+1.5
      AALG2=ALOG10(ZION*ZION*RYD/AKT)
      IF(AALG2.LT.-3.0)AALG2=-3.0
      IF(AALG2.GT.+2.0)AALG2=+2.0
      DATA(ALU(LU),LU=1,12)/-4.0,-3.5,-3.0,-2.5,-2.0,-1.5,-1.0,-0.5,0.0,
     1                      +0.5,+1.0,+1.5/
      DATA(ALG2(LG2),LG2=1,5)/2.,1.,0.,-1.,-3./
      DATA(G(LU,1),LU=1,12)/3.8,3.2,2.7,2.2,1.8,1.5,1.3,1.2,1.1,
     1                      1.08,1.08,1.08/
      DATA(G(LU,2),LU=1,12)/4.5,3.8,3.2,2.7,2.2,1.8,1.5,1.3,1.2,
     1                      1.16,1.13,1.08/
      DATA(G(LU,3),LU=1,12)/5.0,4.4,3.8,3.2,2.6,2.2,1.8,1.5,1.3,
     1                      1.16,0.98,0.74/
      DATA(G(LU,4),LU=1,12)/5.4,4.8,4.2,3.5,2.9,2.4,1.9,1.4,1.2,
     1                      0.86,0.59,0.38/
      DATA(G(LU,5),LU=1,12)/5.5,4.9,4.3,3.6,3.0,2.4,1.9,1.3,0.9,
     1                      0.54,0.32,0.19/
      DO 1 L=1,4
      IF(AALG2.LE.ALG2(L).AND.AALG2.GE.ALG2(L+1))LG2=L
    1 CONTINUE
      DO 2 L=1,11
      IF(AALU.GE.ALU(L).AND.AALU.LE.ALU(L+1))LU=L
    2 CONTINUE
      Y=(AALG2-ALG2(LG2))/(ALG2(LG2+1)-ALG2(LG2))
      GLEFT=G(LU,LG2)+(G(LU,LG2+1)-G(LU,LG2))*Y
      GRIGHT=G(LU+1,LG2)+(G(LU+1,LG2+1)-G(LU+1,LG2))*Y
      GAUHFF=GLEFT+(GRIGHT-GLEFT)*(AALU-ALU(LU))/(ALU(LU+1)-ALU(LU))
      RETURN
      END
