      SUBROUTINE QATI1(TEMP)
C     PARTITION FUNCTIONS:ATOMS AND POSITIVE IONS
C     EXCLUDING RARE ELEMENTS:MODE=1
      include 'OPALION.INC'
      COMMON/CONST/ALN10,BOLTZK,HPLANC,CLIGHT
      PARAMETER( REAMIN = 1.E-37 )
      TN=-ALN10*5040./TEMP
      J=JATI

C     HYDROGEN
      J=J+1
      NAMJ(J)=100
      CHIJ(J)=13.595
      PARTFJ(J)=2.+20.498*EXP(10.853*TN)+747.50*EXP(13.342*TN)
      J=J+1
      NAMJ(J)=101
      CHIJ(J)=100.
      PARTFJ(J)=1.
      J=J+1
      NAMJ(J)=102
      CHIJ(J)=100.
      PARTFJ(J)=REAMIN
      J=J+1
      NAMJ(J)=103
      CHIJ(J)=100.
      PARTFJ(J)=REAMIN
      J=J+1
      NAMJ(J)=104
      CHIJ(J)=100.
      PARTFJ(J)=REAMIN
C
C     HELIUM
      J=J+1
      NAMJ(J)=200
      CHIJ(J)=24.580
      PARTFJ(J)=1.+28.170*EXP(21.170*TN)+527.83*EXP(24.125*TN)
      J=J+1
      NAMJ(J)=201
      CHIJ(J)=54.403
      PARTFJ(J)=2.+22.281*EXP(43.708*TN)+987.72*EXP(53.542*TN)
      J=J+1
      NAMJ(J)=202
      CHIJ(J)=100.
      PARTFJ(J)=1.
      J=J+1
      NAMJ(J)=203
      CHIJ(J)=100.
      PARTFJ(J)=REAMIN
      J=J+1
      NAMJ(J)=204
      CHIJ(J)=100.
      PARTFJ(J)=REAMIN
C
C     CARBON
      J=J+1
      NAMJ(J)=600
      CHIJ(J)=11.256
      PARTFJ(J)=1.+8.0158*EXP(0.004*TN)+5.8833*EXP(1.359*TN)
     1 +33.752*EXP(6.454*TN)+595.34*EXP(10.376*TN)
      J=J+1
      NAMJ(J)=601
      CHIJ(J)=24.376                     ! was 62.29  ML 26-APR-1996 13:36:03.34
      PARTFJ(J)=2.+4.0003*EXP(0.008*TN)+65.29*EXP(16.17*TN)
     1 +82.915*EXP(21.614*TN)+15.981*EXP(5.688*TN)+435.81*EXP(26.269*TN)
      J=J+1
      NAMJ(J)=602
      CHIJ(J)=47.871
      PARTFJ(J)=1.+10.028*EXP(6.691*TN)+15.757*EXP(25.034*TN)
     1 +15.413*EXP(17.60*TN)+242.2*EXP(38.58*TN)+243.63*EXP(47.133*TN)
      J=J+1
      NAMJ(J)=603
      CHIJ(J)=64.476
      PARTFJ(J)=2. + 6.0057*exp(8.005*tn) + 23.5757*exp(40.804*tn) +
     >          76.4185*exp(76.4185*tn)
      J=J+1
      NAMJ(J)=604
      CHIJ(J)=391.986
      PARTFJ(J)= 1. + 15.7995*exp(303.772*tn) + 36.2005*exp(354.208*tn)
C
C     NITROGEN
      J=J+1
      NAMJ(J)=700
      CHIJ(J)=14.529
      PARTFJ(J)=4.+14.050*EXP(2.554*TN)+30.801*EXP(9.169*TN)
     1 +899.1*EXP(13.72*TN)+10.000*EXP(12.353*TN)+64.000*EXP(14.874*TN)
      J=J+1
      NAMJ(J)=701
      CHIJ(J)=29.593
      PARTFJ(J)=1.+8.0462*EXP(0.014*TN)+6.2669*EXP(2.131*TN)
     1 +51.01*EXP(15.00*TN)+282.81*EXP(24.949*TN)
     2 +7.3751*EXP(6.376*TN)+215.48*EXP(29.465*TN)
      J=J+1
      NAMJ(J)=702
      CHIJ(J)=47.426
      PARTFJ(J)=2.+4.0003*EXP(0.022*TN)+113.7*EXP(32.82*TN)
     1 +505.6*EXP(46.02*TN)+13.100*EXP(7.212*TN)+19.642*EXP(15.228*TN)
      J=J+1
      NAMJ(J)=703
      CHIJ(J)=77.450
      PARTFJ(J)=1. + 10.3289*exp(8.693*tn) + 14.5021*exp(37.650*tn) +
     >          187.1624*exp(65.479*tn) + 108.1615*exp(61.155*tn) +
     >          191.8383*exp(79.196*tn)
      J=J+1
      NAMJ(J)=704
      CHIJ(J)=97.863
      PARTFJ(J) = 2. + 6.0044*exp(9.999*tn) + 23.5612*exp(60.991*tn) +
     >            76.4344*exp(82.262*tn) 
C
C     OXYGEN
      J=J+1
      NAMJ(J)=800
      CHIJ(J)=13.614
      PARTFJ(J)=5.+4.0029*EXP(0.022*TN)+5.3656*EXP(2.019*TN)
     1 +36.285*EXP(9.812*TN)+1175.4*EXP(13.45*TN)
     2 +962.1*EXP(16.09*TN)+14.853*EXP(14.293*TN)
      J=J+1
      NAMJ(J)=801
      CHIJ(J)=35.108
      PARTFJ(J)=4.+12.784*EXP(3.472*TN)+5.6828*EXP(7.437*TN)
     1 +98.092*EXP(22.579*TN)+1134.5*EXP(33.03*TN)+53.0*EXP(27.95*TN)
      J=J+1
      NAMJ(J)=802
      CHIJ(J)=54.886
      PARTFJ(J)=1.+8.0703*EXP(0.032*TN)+5.7144*EXP(2.760*TN)
     1 +84.116*EXP(35.328*TN)+640.5*EXP(45.5*TN)+674.0*EXP(53.6*TN)
      J=J+1
      NAMJ(J)=803
      CHIJ(J)=77.394
      PARTFJ(J) = 2. + 4.0003*exp(0.048*tn) + 21.2937*exp(50.089*tn) +
     >            78.7058*exp(66.604*tn) + 12.8293*exp(8.954*tn) + 
     >            16.273*exp(18.031*tn) + 123.6578*exp(57.755*tn) + 
     >            327.2396*exp(72.594*tn) + 48.7883*exp(68.388*tn) + 
     >            102.2117*exp(82.397*tn) + 20.006*exp(31.96*tn) + 
     >            161.9903*exp(76.876*tn) + 28.4184*exp(75.686*tn) + 
     >            61.5816*exp(80.388*tn)
      J=J+1
      NAMJ(J)=804
      CHIJ(J)=113.873
      PARTFJ(J) = 1. + 10.5563*exp(10.747*tn) + 13.2950*exp(52.323*tn) + 
     >            188.139*exp(94.976*tn) + 14.656*exp(27.405*tn) + 
     >            129.4922*exp(86.350*tn) + 470.8512*exp(109.917*tn)
C
C     NEON
      J=J+1
      NAMJ(J)=1000
      CHIJ(J)=21.559
      PARTFJ(J)=1.+51.08*EXP(17.84*TN)+548.9*EXP(20.79*TN)
      J=J+1
      NAMJ(J)=1001
      CHIJ(J)=41.071
      PARTFJ(J)=4.+2.0007*EXP(0.097*TN)+116.0*EXP(30.90*TN)
     1 +444.0*EXP(37.39*TN)
      J=J+1
      NAMJ(J)=1002
      CHIJ(J)=63.729
      PARTFJ(J)=5.+4.0342*EXP(0.092*TN)+5.6162*EXP(3.424*TN)
     1 +11.518*EXP(24.806*TN)+152.6*EXP(46.9*TN)+208.3*EXP(55.8*TN)
      J=J+1
      NAMJ(J)=1003
      CHIJ(J)=97.162
      PARTFJ(J) = 4. + 14.0482*exp(5.453*tn) + 13.3077*exp(18.560*tn) + 
     >            52.7897*exp(46.583*tn) + 467.8487*exp(80.101*tn) + 
     >            54.2196*exp(70.337*tn) + 195.78*exp(85.789*tn)
      J=J+1
      NAMJ(J)=1004
      CHIJ(J)=126.423
      PARTFJ(J) = 8.3813*exp(0.135*tn) + 7.9725*exp(5.497*tn) + 
     >            39.3316*exp(26.121*tn) + 154.2828*exp(86.665*tn)
C
C     SODIUM
      J=J+1
      NAMJ(J)=1100
      CHIJ(J)=5.138
      PARTFJ(J)=2.+11.635*EXP(2.400*TN)+158.36*EXP(4.552*TN)
      J=J+1
      NAMJ(J)=1101
      CHIJ(J)=47.290
      PARTFJ(J)=1.+31.2*EXP(34.52*TN)+76.7*EXP(40.67*TN)
      J=J+1
      NAMJ(J)=1102
      CHIJ(J)=71.647
      PARTFJ(J)=4.+2.0019*EXP(0.170*TN)+38.057*EXP(44.554*TN)
     1 +28.311*EXP(51.689*TN)+199.6*EXP(58.8*TN)
      J=J+1
      NAMJ(J)=1103
      CHIJ(J)=98.880
      PARTFJ(J) = 5. + 4.0334*exp(0.152*tn) + 5.8560*exp(4.260*tn) + 
     >            18.1786*exp(36.635*tn) + 208.9142*exp(83.254*tn) + 
     >            93.6895*exp(72.561*tn) + 406.3095*exp(89.475*tn) + 
     >            60.4276*exp(75.839*tn) + 239.5719*exp(92.582*tn)
      J=J+1
      NAMJ(J)=1104
      CHIJ(J)=138.597
      PARTFJ(J) = 4. + 10.3174*exp(5.93*tn) + 5.6967*exp(9.127*tn) + 
     >            121.0726*exp(94.219*tn) + 340.9131*exp(115.69*tn) + 
     >            63.7918*exp(97.783*tn) + 186.2078*exp(12.110*tn) + 
     >            2.*exp(92.769*tn) + 16.*exp(108.4*tn) + 
     >            17.9266*exp(28.372*tn) + 18.7036*exp(49.002*tn) + 
     >            91.3687*exp(111.473*tn) + 36.8524*exp(110.226*tn) + 
     >            233.1475*exp(125.690*tn)
C
C     MAGNESIUM
      J=J+1
      NAMJ(J)=1200
      CHIJ(J)=7.644
      PARTFJ(J)=1.+10.744*EXP(2.805*TN)+291.51*EXP(6.777*TN)
     1 +53.749*EXP(7.254*TN)
      J=J+1
      NAMJ(J)=1201
      CHIJ(J)=15.031
      PARTFJ(J)=2.+6.2270*EXP(4.459*TN)+31.129*EXP(9.789*TN)
     1 +132.64*EXP(13.137*TN)
      J=J+1
      NAMJ(J)=1202
      CHIJ(J)=80.117
      PARTFJ(J)=1.+40.438*EXP(57.413*TN)+239.2*EXP(71.46*TN)
     1 +20.384*EXP(58.010*TN)
      J=J+1
      NAMJ(J)=1203
      CHIJ(J)=109.294
      PARTFJ(J) = 4. + 2.007*exp(0.276*tn) + 106.8977*exp(74.440*tn) + 
     >            343.101*exp(94.447*tn) + 10.1326*exp(54.472*tn) + 
     >            237.8581*exp(95.858*tn)
      J=J+1
      NAMJ(J)=1204
      CHIJ(J)=141.231
      PARTFJ(J) = 5. + 4.1096*exp(0.251*tn) + 6.1538*exp(5.37*tn) + 
     >            22.3636*exp(51.461*tn) + 275.3339*exp(121.819*tn) + 
     >            117.0375*exp(101.026*tn) + 382.9616*exp(124.652*tn) + 
     >            71.4230*exp(104.636*tn) + 228.5765*exp(128.118*tn)
C
C     ALUMINUM
      J=J+1
      NAMJ(J)=1300
      CHIJ(J)=5.984
      PARTFJ(J)=2.+4.0009*EXP(0.014*TN)+25.44*EXP(3.784*TN)
     1 +142.22*EXP(5.420*TN)+96.337*EXP(8.833*TN)
      J=J+1
      NAMJ(J)=1301
      CHIJ(J)=18.823
      PARTFJ(J)=1.+10.081*EXP(4.749*TN)+64.27*EXP(11.61*TN)
     1 +344.6*EXP(17.4*TN)
      J=J+1
      NAMJ(J)=1302
      CHIJ(J)=28.441
      PARTFJ(J)=2.+6.3277*EXP(6.751*TN)+29.509*EXP(16.681*TN)
     1 +134.16*EXP(24.151*TN)
      J=J+1
      NAMJ(J)=1303
      CHIJ(J)=119.957
      PARTFJ(J) = 1. + 46.3164*exp(83.551*tn) +
     >            153.6833*exp(104.787*tn) + 22.9896*exp(84.293*tn) + 
     >            77.0103*exp(105.171*tn)
      J=J+1
      NAMJ(J)=1304
      CHIJ(J)=153.772
      PARTFJ(J) = 4. + 2.0002*exp(0.426*tn) + 2.3599*exp(46.012*tn) + 
     >            151.2144*exp(107.928*tn) + 392.4253*exp(131.729*tn)
C
C     SILICON
      J=J+1
      NAMJ(J)=1400
      CHIJ(J)=8.149
      PARTFJ(J)=1.+7.9658*EXP(0.020*TN)+4.6762*EXP(0.752*TN)
     1 +1.3512*EXP(1.614*TN)+123.23*EXP(5.831*TN)+443.78*EXP(7.431*TN)
      J=J+1
      NAMJ(J)=1401
      CHIJ(J)=16.339
      PARTFJ(J)=2.+4.0000*EXP(0.036*TN)+7.4186*EXP(8.795*TN)
     1 +24.175*EXP(11.208*TN)+86.91*EXP(14.14*TN)
     2 +14.469*EXP(5.418*TN)+11.972*EXP(7.825*TN)+269.05*EXP(19.412*TN)
      J=J+1
      NAMJ(J)=1402
      CHIJ(J)=33.459
      PARTFJ(J)=1.+9.1793*EXP(6.572*TN)+4.8766*EXP(11.449*TN)
     1 +42.41*EXP(17.05*TN)+88.84*EXP(26.23*TN)+180.69*EXP(34.599*TN)
      J=J+1
      NAMJ(J)=1403
      CHIJ(J)=45.130
      PARTFJ(J) = 2. + 6.4839*exp(9.042*tn) + 27.6851*exp(24.101*tn) + 
     >            135.8301*exp(37.445*tn)
      J=J+1
      NAMJ(J)=1404
      CHIJ(J)=166.73
      PARTFJ(J) = 1. + 36.9821*exp(115.608*tn) + 
     >            163.0176*exp(142.257*tn) + 19.1161*exp(118.377*tn) + 
     >            80.8837*exp(143.084*tn)
C
C     PHOSPHORUS
      J=J+1
      NAMJ(J)=1500
      CHIJ(J)=10.474
      PARTFJ(J)=4.+13.521*EXP(1.514*TN)+22.213*EXP(5.575*TN)
     1 +503.3*EXP(9.99*TN)+10.000*EXP(8.076*TN)
      J=J+1
      NAMJ(J)=1501
      CHIJ(J)=19.720
      PARTFJ(J)=1.+8.0241*EXP(0.043*TN)+5.8085*EXP(1.212*TN)
     1 +51.754*EXP(8.545*TN)+252.40*EXP(15.525*TN)
      J=J+1
      NAMJ(J)=1502
      CHIJ(J)=30.156
      PARTFJ(J)=2.+4.0021*EXP(0.074*TN)+20.798*EXP(7.674*TN)
     1 +62.419*EXP(16.639*TN)+200.78*EXP(25.118*TN)
      J=J+1
      NAMJ(J)=1503
      CHIJ(J)=51.354
      PARTFJ(J) = 1. + 11.7414*exp(8.992*tn) + 63.5124*exp(24.473*tn) + 
     >            179.7420*exp(40.704*tn)
      J=J+1
      NAMJ(J)=1504
      CHIJ(J)=65.007
      PARTFJ(J) = 6.8835*exp(11.464*tn) + 32.7777*exp(33.732*tn) + 
     >            228.3366*exp(55.455*tn)
C
C     SULPHUR
      J=J+1
      NAMJ(J)=1600
      CHIJ(J)=10.357
      PARTFJ(J)=5.+3.9615*EXP(0.053*TN)+5.0780*EXP(1.121*TN)
     1 +15.094*EXP(5.812*TN)+426.5*EXP(9.32*TN)+544.4*EXP(11.91*TN)
      J=J+1
      NAMJ(J)=1601
      CHIJ(J)=23.405
      PARTFJ(J)=4.+11.438*EXP(1.892*TN)+5.5126*EXP(3.646*TN)
     1 +141.00*EXP(13.550*TN)+33.052*EXP(16.253*TN)+381.0*EXP(20.22*TN)
      J=J+1
      NAMJ(J)=1602
      CHIJ(J)=35.047
      PARTFJ(J)=1.+8.13*EXP(0.08*TN)+5.7245*EXP(1.590*TN)
     1 +144.64*EXP(13.712*TN)+106.49*EXP(22.050*TN)
      J=J+1
      NAMJ(J)=1603
      CHIJ(J)=47.292
      PARTFJ(J) = 2. + 4.0011*exp(0.118*tn) + 19.2813*exp(9.545*tn) + 
     >            27.599*exp(18.179*tn) + 35.1179*exp(31.441*tn) + 
     >            94.7454*exp(30.664*tn) + 283.2486*exp(56.150*tn)
      J=J+1
      NAMJ(J)=1604
      CHIJ(J)=72.474
      PARTFJ(J) = 1. + 10.5474*exp(10.704*tn) + 
     >            28.7137*exp(27.075*tn) + 
     >            65.7378*exp(50.599*tn) + 24.*exp(43.034*tn)
C
C     ARGON
      J=J+1
      NAMJ(J)=1800
      CHIJ(J)=15.755
      PARTFJ(J)=1.+64.5*EXP(12.74*TN)+487.5*EXP(15.05*TN)
      J=J+1
      NAMJ(J)=1801
      CHIJ(J)=27.619
      PARTFJ(J)=4.+2.0026*EXP(0.178*TN)+200.2*EXP(19.0*TN)
     1 +407.7*EXP(24.4*TN)
      J=J+1
      NAMJ(J)=1802
      CHIJ(J)=40.899
      PARTFJ(J)=5.+4.0495*EXP(0.151*TN)+14.447*EXP(1.561*TN)
     1 +46.823*EXP(17.399*TN)+543.5*EXP(33.8*TN)+253.1*EXP(25.9*TN)
      J=J+1
      NAMJ(J)=1803
      CHIJ(J)=59.793
      PARTFJ(J) = 4. + 13.3718*exp(2.810*tn) + 8.6528*exp(8.877*tn) + 
     >            60.4614*exp(24.351*tn) + 285.5072*exp(44.489*tn)
      J=J+1
      NAMJ(J)=1804
      CHIJ(J)=75.002
      PARTFJ(J) = 1. + 6.7655*exp(.144*tn) + 4.7684*exp(1.160*tn) + 
     >            12.8631*exp(10.210*tn) + 54.526*exp(27.178*tn)
C
C     POTASSIUM
      J=J+1
      NAMJ(J)=1900
      CHIJ(J)=4.339
      PARTFJ(J)=2.+12.978*EXP(1.871*TN)+148.67*EXP(3.713*TN)
     1 +6.3493*EXP(4.0*TN)
      J=J+1
      NAMJ(J)=1901
      CHIJ(J)=31.810
      PARTFJ(J)=1.+79.8*EXP(22.45*TN)+4.0001*EXP(20.59*TN)
     1 +148.2*EXP(28.12*TN)
      J=J+1
      NAMJ(J)=1902
      CHIJ(J)=45.738
      PARTFJ(J)=4.+2.0171*EXP(0.273*TN)+182.1*EXP(29.3*TN)
     1 +1149.9*EXP(40.5*TN)
      J=J+1
      NAMJ(J)=1903
      CHIJ(J)=60.897
      PARTFJ(J) = 5. + 4.0702*exp(0.228*tn) + 5.7791*exp(2.274*tn) + 
     >            52.6795*exp(21.703*tn) + 327.4539*exp(50.191*tn) + 
     >            62.8604*exp(32.145*tn) + 357.1331*exp(49.262*tn) + 
     >            55.9337*exp(34.155*tn) + 196.0646*exp(51.718*tn)
      J=J+1
      NAMJ(J)=1904
      CHIJ(J)=82.799
      PARTFJ(J) = 4. + 10.9275*exp(3.043*tn) + 5.5398*exp(5.479*tn) + 
     >            43.2761*exp(20.547*tn) + 76.256*exp(30.68*tn) + 
     >            42.*exp(36.275*tn) + 18.*exp(47.348*tn)
C
C     CALCIUM
      J=J+1
      NAMJ(J)=2000
      CHIJ(J)=6.111
      PARTFJ(J)=1.+18.237*EXP(2.050*TN)+27.501*EXP(3.349*TN)
     1 +149.26*EXP(5.321*TN)+94.524*EXP(4.873*TN)+705.47*EXP(7.017*TN)
      J=J+1
      NAMJ(J)=2001
      CHIJ(J)=11.868
      PARTFJ(J)=2.+11.871*EXP(1.769*TN)+14.071*EXP(5.109*TN)
     1 +106.05*EXP(9.524*TN)
      J=J+1
      NAMJ(J)=2002
      CHIJ(J)=51.207
      PARTFJ(J)=1.+87.05*EXP(28.22*TN)+164.9*EXP(41.85*TN)
      J=J+1
      NAMJ(J)=2003
      CHIJ(J)=67.181
      PARTFJ(J) = 4. + 2.0184*exp(0.394*tn) + 97.5784*exp(28.93*tn) + 
     >            282.3939*exp(52.618*tn) + 209.1871*exp(38.593*tn) + 
     >            252.8129*exp(49.646*tn)
      J=J+1
      NAMJ(J)=2004
      CHIJ(J)=84.39
      PARTFJ(J) = 9.
C
C     TITANIUM
      J=J+1
      NAMJ(J)=2200
      CHIJ(J)=6.818
      PARTFJ(J)=5.+7.0887*EXP(0.021*TN)+8.9186*EXP(0.048*TN)
     1 +17.563*EXP(1.029*TN)+206.68*EXP(2.183*TN)+438.57*EXP(4.109*TN)
     2 +1486.2*EXP(5.786*TN)+38.046*EXP(0.846*TN)+69.627*EXP(1.792*TN)
     3 +364.28*EXP(3.836*TN)+98.856*EXP(2.561*TN)
     4 +57.993*EXP(4.869*TN)+442.15*EXP(6.340*TN)
      J=J+1
      NAMJ(J)=2201
      CHIJ(J)=13.635
      PARTFJ(J)=4.+19.784*EXP(0.023*TN)+32.064*EXP(0.124*TN)
     1 +37.089*EXP(0.774*TN)+110.67*EXP(1.810*TN)+322.5*EXP(4.95*TN)
     2 +521.88*EXP(9.585*TN)+10.000*EXP(1.082*TN)+120.00*EXP(11.279*TN)
      J=J+1
      NAMJ(J)=2202
      CHIJ(J)=28.137
      PARTFJ(J)=5.+16.169*EXP(0.041*TN)+22.355*EXP(1.375*TN)
     1 +24.165*EXP(4.768*TN)+83.513*EXP(10.985*TN)+222.80*EXP(19.769*TN)
      J=J+1
      NAMJ(J)=2203
      CHIJ(J)=43.236
      PARTFJ(J) = 4. + 6.002*exp(0.048*tn) + 4.6177*exp(11.577*tn) + 
     >            25.2636*exp(24.531*tn) + 52.1162*exp(36.489*tn)
      J=J+1
      NAMJ(J)=2204
      CHIJ(J)= 100.083
      PARTFJ(J) = 1. + 12.*exp(54.436*tn) + 8.*exp(75.373*tn)
C
C     CHROMIUM
      J=J+1
      NAMJ(J)=2400
      CHIJ(J)=6.763
      PARTFJ(J)=7.+30.184*EXP(0.993*TN)+79.285*EXP(3.070*TN)
     1 +149.53*EXP(5.673*TN)+215.37*EXP(3.339*TN)+119.20*EXP(4.801*TN)
     2 +1525.9*EXP(7.42*TN)+184.99*EXP(2.829*TN)
     3 +1352.5*EXP(4.990*TN)
      J=J+1
      NAMJ(J)=2401
      CHIJ(J)=16.493
      PARTFJ(J)=6.+46.619*EXP(1.645*TN)+160.14*EXP(3.727*TN)
     1 +488.04*EXP(7.181*TN)+657.19*EXP(12.299*TN)+47.174*EXP(2.902*TN)
     2 +267.03*EXP(4.273*TN)+441.13*EXP(8.569*TN)+150.66*EXP(14.912*TN)
      J=J+1
      NAMJ(J)=2402
      CHIJ(J)=30.950
      PARTFJ(J)=1.+24.377*EXP(0.047*TN)+122.84*EXP(2.556*TN)
     1 +285.51*EXP(9.441*TN)+794.16*EXP(21.198*TN)
      J=J+1
      NAMJ(J)=2403
      CHIJ(J)=49.580
      PARTFJ(J) = 4. + 24.2296*exp(0.078*tn) + 75.0258*exp(2.242*tn) + 
     >            172.9452*exp(15.638*tn) + 543.6511*exp(32.725*tn)
      J=J+1
      NAMJ(J)=2404
      CHIJ(J)=73.093
      PARTFJ(J) = 5. + 15.9819*exp(0.103*tn) + 17.68*exp(2.146*tn) + 
     >            95.2003*exp(26.153*tn) + 225.0947*exp(49.381*tn)
C
C     MANGANESE
      J=J+1
      NAMJ(J)=2500
      CHIJ(J)=7.432
      PARTFJ(J)=6.+53.911*EXP(2.527*TN)+225.58*EXP(4.181*TN)
     1 +954.5*EXP(6.96*TN)+45.618*EXP(2.285*TN)
     2 +298.44*EXP(5.631*TN)+2410.9*EXP(8.448*TN)
      J=J+1
      NAMJ(J)=2501
      CHIJ(J)=15.636
      PARTFJ(J)=7.+22.638*EXP(1.496*TN)+230.9*EXP(3.76*TN)
     1 +168.68*EXP(6.054*TN)+513.0*EXP(8.84*TN)+1680.8*EXP(14.21*TN)
      J=J+1
      NAMJ(J)=2502
      CHIJ(J)=33.690
      PARTFJ(J)=6.+70.193*EXP(3.531*TN)+72.337*EXP(6.967*TN)
     1 +213.95*EXP(15.222*TN)+539.52*EXP(25.069*TN)
      J=J+1
      NAMJ(J)=2503
      CHIJ(J)=53.001
      PARTFJ(J) = 1. + 24.2373*exp(0.071*tn) + 93.5415*exp(2.896*tn) + 
     >            456.6167*exp(20.725*tn) + 506.5484*exp(37.383*tn)
      J=J+1
      NAMJ(J)=2504
      CHIJ(J)=76.006
      PARTFJ(J) = 4. + 24.7687*exp(0.126*tn) + 66.989*exp(2.66*tn) + 
     >            264.1853*exp(28.528*tn) + 484.0161*exp(53.413*tn)
C
C     IRON
      J=J+1
      NAMJ(J)=2600
      CHIJ(J)=7.896
      PARTFJ(J)=9.+14.410*EXP(0.066*TN)+2.7050*EXP(0.339*TN)
     1 +421.66*EXP(2.897*TN)+940.15*EXP(6.585*TN)
     2 +36.219*EXP(0.923*TN)+22.888*EXP(1.679*TN)
     3 +239.60*EXP(4.620*TN)+825.29*EXP(7.053*TN)
     4 +110.02*EXP(4.249*TN)+992.30*EXP(5.875*TN)
     5 +640.67*EXP(7.781*TN)
      J=J+1
      NAMJ(J)=2601
      CHIJ(J)=16.178
      PARTFJ(J)=10.+17.049*EXP(0.062*TN)+32.378*EXP(0.283*TN)
     1 +34.318*EXP(1.504*TN)+420.96*EXP(5.430*TN)+1067.2*EXP(11.210*TN)
     2 +154.01*EXP(2.792*TN)+462.11*EXP(7.627*TN)+329.86*EXP(13.623*TN)
      J=J+1
      NAMJ(J)=2602
      CHIJ(J)=30.640
      PARTFJ(J)=9.+15.791*EXP(0.077*TN)+47.119*EXP(3.723*TN)
     1 +279.93*EXP(12.137*TN)+1528.8*EXP(24.64*TN)
     2 +91.021*EXP(2.688*TN)+206.31*EXP(7.595*TN)+706.99*EXP(15.444*TN)
      J=J+1
      NAMJ(J)=2603
      CHIJ(J)=56.001
      PARTFJ(J) = 6. + 40.079*exp(3.982*tn) + 27.6965*exp(4.677*tn) + 
     >            28.2243*exp(6.453*tn) + 18.*exp(23.561*tn)
      J=J+1
      NAMJ(J)=2604
      CHIJ(J)=79.001
      PARTFJ(J) = 1. + 24.0899*exp(0.102*tn) + 89.634*exp(3.354*tn) + 
     >            51.5756*exp(22.954*tn) + 241.698*exp(33.796*tn)
C
C     NICKEL
      J=J+1
      NAMJ(J)=2800
      CHIJ(J)=7.633
      PARTFJ(J)=9.+7.1268*EXP(0.026*TN)+12.449*EXP(0.137*TN)
     1 +11.995*EXP(0.315*TN)+10.055*EXP(1.778*TN)+391.21*EXP(6.621*TN)
     2 +26.391*EXP(2.249*TN)+328.0*EXP(4.036*TN)+938.79*EXP(7.621*TN)
      J=J+1
      NAMJ(J)=2801
      CHIJ(J)=18.147
      PARTFJ(J)=6.+4.1421*EXP(0.191*TN)+37.378*EXP(1.235*TN)
     1 +25.971*EXP(3.358*TN)+333.34*EXP(8.429*TN)+447.9*EXP(16.83*TN)
     2 +33.103*EXP(3.472*TN)+184.19*EXP(9.065*TN)
      J=J+1
      NAMJ(J)=2802
      CHIJ(J)=35.161
      PARTFJ(J)=9.+11.191*EXP(0.194*TN)+5.4174*EXP(1.305*TN)
     1 +53.679*EXP(5.813*TN)+460.68*EXP(14.172*TN)+380.01*EXP(26.169*TN)
      J=J+1
      NAMJ(J)=2803
      CHIJ(J)=56.025
      PARTFJ(J)=28.
      J=J+1
      NAMJ(J)=2804
      CHIJ(J)=78.
      PARTFJ(J) = 33.
C
      JATI=J
      RETURN
      END
