      PROGRAM TTAU_NEW
C *** 02-JUNE-1996
      PARAMETER( ND_HM = 29 )
      REAL RTAU(100), RTAUX(100), TE(100), TEX(100), XI(100), XIX(100),
     &  TAU_HM(ND_HM), TE_HM(ND_HM), PE(100), PEX(100), PG(100),
     &  PGX(100), KAPPAREF(100), KAPPAREFX(100), SIGMAREF(100),
     &  SIGMAREFX(100), HEIGHT(100), HEIGHTX(100)
      REAL OLAM(40)
      LOGICAL LOGI
      DATA ND, NDEPTH, NLAKS /ND_HM, 50, 30/
      DATA (TAU_HM(ID), ID = 1, ND_HM)/
     1 -6.539,-6.279,-5.868,-5.588,-5.334,-5.001,-4.747,-4.486,-4.131,
     2 -3.856,-3.577,-3.200,-2.912,-2.621,-2.233,-1.939,-1.645,-1.256,
     3 -0.961,-0.571,-0.371,-0.133,0.019,0.191,0.312,0.597,0.761,0.877,
     4 0.9670/
      DATA (TE_HM(ID), ID = 1, ND_HM)/
     1 3900.,3920.,3970.,4030.,4080.,4160.,4210.,4270.,4340.,4400.,
     2 4460.,4530.,4590.,4640.,4720.,4800.,4900.,5080.,5260.,5560.,
     3 5850.,6260.,6570.,6880.,7160.,7920.,8250.,8420.,8500./
      DATA (OLAM(I), I = 1, 30)/
     1 2200.,2300.,2490.,2495.,2515.,2520.,2880.,2930.,2950.,2960.,
     2 3445.,3450.,3460.,3520.,3590.,3630.,3650.,3700.,4000.,5000.,
     3 6000.,7000.,8050.,8150.,8210.,8215.,9000.,10000.,12000.,14000./
      XP( X ) = EXP( X*2.30258 )
      OPEN( UNIT = 20, FILE = 'PTAU' )
      REWIND 20
      READ( 20, '(F8.2, F6.2, F8.2, F9.2, /, I3 )' ) TEFF, GLOG, RSU,
     >  REFLAM, I
      IF( I .LT. 0 .OR. I .GT. 100 ) THEN
         STOP 'ERROR1'
      ELSE IF( I .GT. 0 ) THEN
         ND = I
         READ( 20, '(5E10.3)' ) (RTAU(ID), ID = 1, ND)
      ELSE IF( I .EQ. 0 ) THEN
         DO ID = 1, ND
            RTAU(ID) = TAU_HM(ID)
         END DO
      END IF
      IZERO = 0
      IF( RTAU(1) .LT. -1.E-36 ) THEN
         DO ID = 1, ND
            RTAU(ID) = XP( RTAU(ID) )
         END DO
      ELSE IF( RTAU(1) .LT. 1.E-36 ) THEN
         IZERO = 1
      END IF
      READ( 20, '(I3)' ) MM
      IF( MM .EQ. 0 ) THEN
         DO ID = 1, ND_HM
            TE_HM(ID) = TE_HM(ID)*TEFF/5780.
            TAU_HM(ID) = XP( TAU_HM(ID) )
         END DO
         DUMM = MAP1( TAU_HM, TE_HM, ND_HM, RTAU, TE, ND )
      ELSE IF( MM .EQ. 1 ) THEN
         READ( 20, '(5F7.4)' ) (TE(ID), ID = 1, ND)
         DO ID = 1, ND
            TE(ID) = 5040./TE(ID)
         END DO
      ELSE IF( MM .EQ. -1 ) THEN
         READ( 20, '(5F7.0)' ) (TE(ID), ID = 1, ND)
      ELSE
         STOP 'ERROR2'
      END IF
      MM = -1
      READ( 20, '(F6.2)' ) TUR
      IF( TUR .LT. -1.E-9 ) READ( 20, '(5F7.2)' ) (XI(ID), ID = 1, ND)

C ******************
C MODIFICATION BEGIN
C ******************
      READ ( 20, '(5E14.6)' ) (PE(ID), ID = 1, ND)
      READ ( 20, '(I3)' ) DUMM
      READ ( 20, '(5E14.6)' ) (PG(ID), ID = 1, ND)
      READ ( 20, '(I3)' ) DUMM
      READ ( 20, '(5E14.6)' ) (KAPPAREF(ID), ID = 1, ND)
      READ ( 20, '(I3)' ) DUMM
      READ ( 20, '(5E14.6)' ) (SIGMAREF(ID), ID = 1, ND)
      READ ( 20, '(I3)' ) DUMM
      READ ( 20, '(5E14.6)' ) (HEIGHT(ID), ID = 1, ND)
C ****************
C MODIFICATION END
C ****************

      READ( 20, * ) MODE, IONST, IPRINT, KPRINT, LPR1, LPR2, LPRD
      KPLOT = (KPRINT - (KPRINT/8)*8)/4         ! 0 oder 1
      KPRINT = (KPRINT - (KPRINT/4)*4)/2 + 1    ! 1 oder 2
      IF( KPLOT .EQ. 1 ) THEN
         BACKSPACE 20
         READ( 20, * ) MODE, IONST, IPRINT, KPRINT, LPR1, LPR2, LPRD, 
     >     KPID, PLMIN, PLMAX, KPKT
      END IF
      READ( 20, * ) I
      LOGI = MODE .LT. 1 .OR. MODE .GT. 2 .OR. IONST .LT. 1 .OR. IONST
     >  .GT. 3 .OR. IPRINT .LT. 1 .OR. IPRINT .GT. 2 .OR. LPR1 .LT. 1
     >  .OR. LPR1 .GT. LPR2 .OR. LPR2 .GT. NDEPTH .OR. LPRD .LT. 1 .OR.
     >  LPRD .GT. NDEPTH .OR. I .LT. -1 .OR. I .GT. 40
      IF( LOGI ) STOP 'ERROR3'
      IF( I .GT. 0 ) THEN
         NLAKS = I
         READ( 20, '(5F10.2)' ) (OLAM(I), I = 1, NLAKS)
      ELSE IF( I .EQ. 0 ) THEN
         NLAKS = I
      END IF
      READ( 20, '(I3)' ) LCONTR
      IF( LCONTR .NE. ND ) STOP 'ERROR4'
      IF( IZERO .EQ. 1 ) THEN
         ND = ND - 1
         DO ID = 1, ND
            RTAU(ID) = RTAU(ID+1)
            TE(ID) = TE(ID+1)
            IF( TUR .LT. -1.E-9 ) XI(ID) = XI(ID+1)
C ******************
C MODIFICATION BEGIN
C ******************
            PE(ID) = PE(ID+1)
            PG(ID) = PG(ID+1)
            KAPPAREF(ID) = KAPPAREF(ID+1)
            SIGMAREF(ID) = SIGMAREF(ID+1)
            HEIGHT(ID) = HEIGHT(ID+1)
C ****************
C MODIFICATION END
C ****************
         END DO
      END IF
      X = TE(1)
      NTMIN = 1
      DO ID = 2, ND
         IF( TE(ID) .LT. X ) THEN
            X = TE(ID)
            NTMIN = ID
         END IF
      END DO
      NDM1 = NDEPTH - 1
      DM = ( RTAU(ND)/RTAU(1) )**( 1.0/FLOAT(NDM1) )
      RTAUX(1) = RTAU(1)
      DO ID = 2, NDEPTH
         RTAUX(ID) = RTAUX(ID-1)*DM
         IF( RTAUX(ID) .GT. RTAU(NTMIN) ) GO TO 8
      END DO
    8 CONTINUE
      NTMINX = ID - 1
      NTXP1 = NTMINX + 1
      NTXM1 = NTMINX - 1
      RTAUX(NTMINX) = RTAU(NTMIN)
      DO ID = NTXP1, NDEPTH
         RTAUX(ID) = RTAUX(ID-1)*DM
      END DO
      DO ID = NTXM1, 1, -1
         RTAUX(ID) = RTAUX(ID+1)/DM
      END DO
      DUMM = MAP1( RTAU, TE, ND, RTAUX, TEX, NDEPTH )
      IF( TUR .LT. -1.E-9 ) DUMM = MAP1( RTAU, XI, ND, RTAUX, XIX,
     >  NDEPTH )
C ******************
C MODIFICATION BEGIN
C ******************
      DUMM = MAP1( RTAU, PE, ND, RTAUX, PEX, NDEPTH )
      DUMM = MAP1( RTAU, PG, ND, RTAUX, PGX, NDEPTH )
      DUMM = MAP1( RTAU, KAPPAREF, ND, RTAUX, KAPPAREFX, NDEPTH )
      DUMM = MAP1( RTAU, SIGMAREF, ND, RTAUX, SIGMAREFX, NDEPTH )
      DUMM = MAP1( RTAU, HEIGHT, ND, RTAUX, HEIGHTX, NDEPTH )
C ****************
C MODIFICATION END
C ****************
      REWIND 20
      WRITE( 20, 1001 ) TEFF, GLOG, RSU, REFLAM, NDEPTH
      WRITE( 20, 1002 ) (RTAUX(ID), ID = 1, NDEPTH)
      WRITE( 20, 1003 ) MM
      WRITE( 20, 1004 ) (TEX(ID), ID = 1, NDEPTH)
      WRITE( 20, 1005 ) TUR
      IF( TUR .LT. -1.E-9 ) WRITE( 20, 1006 ) (XIX(ID), ID = 1, NDEPTH)
C ******************
C MODIFICATION BEGIN
C ******************
      WRITE ( 20, 1009 ) (PEX(ID), ID = 1, NDEPTH)
      WRITE ( 20, 1010 ) 
      WRITE ( 20, 1009 ) (PGX(ID), ID = 1, NDEPTH)
      WRITE ( 20, 1010 )
      WRITE ( 20, 1009 ) (KAPPAREFX(ID), ID = 1, NDEPTH)
      WRITE ( 20, 1010 )
      WRITE ( 20, 1009 ) (SIGMAREFX(ID), ID = 1, NDEPTH)
      WRITE ( 20, 1010 )
      WRITE ( 20, 1009 ) (HEIGHTX(ID), ID = 1, NDEPTH)
C ****************
C MODIFICATION END
C ****************
      IF( KPLOT .EQ. 0 ) THEN
         WRITE( 20, 1007 ) MODE, IONST, IPRINT, KPRINT, LPR1, LPR2, 
     >     LPRD, NLAKS
      ELSE
         WRITE( 20, '(8I7, 1P, 2E17.6, 0P, I7, /, I4)' ) MODE, IONST, 
     >     IPRINT, KPRINT, LPR1, LPR2, LPRD, KPID, PLMIN, PLMAX, KPKT,
     >     NLAKS
      END IF
      IF( NLAKS .GT. 0 ) WRITE( 20, 1008 ) (OLAM(I), I = 1, NLAKS)
      WRITE( 20, 1003 ) NDEPTH
      REWIND 20
      CLOSE( 20 )
 1001 FORMAT( F8.2, F6.2, F8.2, F9.2, /, I3 )
 1002 FORMAT( 1P, 5E10.3 )
 1003 FORMAT( I3 )
 1004 FORMAT( 5F7.0 )
 1005 FORMAT( F6.2 )
 1006 FORMAT( 5F7.2 )
 1007 FORMAT( 7I4, /, I4 )
 1008 FORMAT( 5F10.2 )
 1009 FORMAT( 5E14.6 )
 1010 FORMAT( '0' )
      END
