	subroutine resize_ezsetup( x, y, npkt, ncur, sty, icol )
C ***
C ******************************************************************************
C ***
C ***	Easy setup routine for resize.
C ***
C ***	x(npkt,ncur)	r >	X array for ncur curves with npkt points each
C ***	y(npkt,ncur)	r >	y array
C ***	npkt		i >	number of points per curve
C ***	ncur		i >	number of curves
C ***	sty((ncur)	r >	line style for each curve
C ***	icol(ncur)	i >	color index for each curve
C ***
C ***
C ***	13-JUN-1996 12:09:21.56		ML / Bamberg.  Created.
C ***
C ******************************************************************************
C ***
	implicit none


C ***
C ***	Arguments
C ***
	integer npkt, ncur
	integer icol(ncur)
	real x(npkt,ncur), y(npkt,ncur), sty(ncur)

C ***
C ***	Local variables
C ***
	integer i

	do i = 1, ncur
	   call resize_add_data( x(1,i), y(1,i), npkt, sty(i), icol(i) )
	end do

	end
