	subroutine plote( idev )
C ***
C ******************************************************************************
C ***
C ***	Closes plot device.  Plot package dependent.  Mongo/Unix version.
C ***
C ***
C ***	21-NOV-1994 17:48:09.00		ML / IoA.  Created
C ***	 4-OCT-2000 12:32:00.00		ML / McA.  #ifdef g77/Sun f77
C ***    9-OCT-2001 23:12:28.00		ML / Stegaurach.  Replaced call to
C ***					post_file_name with pltfile.
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	integer idev

C ***
C ***	Local variables
C ***
	integer context, i, length
	character*1024 file_name

C ***
C ***	Global variables
C ***
	include 'RESIZE.INC'

C ***
C ***	Functions
C ***
	integer idx, versname, putenv	!$pragma c( putenv )
#ifndef __GNUC__
	integer rename
#endif

	call pltend	! close plot
	call trap_pltend( .false. )

	if( idev .eq. 3 ) then
C ***
C ***	   rename postscript file to new version number
C ***
	   call pltfile( file_name, length )	! get PS file name

	   i = putenv( 'VERSIONS=do'//char(0) )	! make sure we get versions
	   context = 0
	   i = versname( file_name(:length), 'N', file_name, context )
	   if( i .ne. 1 ) then
	      write( stdout, * ) 'PLOTE> Cannot construct new filename'
	      write( stdout, * ) '       Old postscript file might get',
     >                           ' overwritten.'
	   end if
#ifndef __GNUC__
	   i = rename( file_name(:length), file_name(:idx(file_name)) )
#else
           call rename( file_name(:length),
     >                  file_name(:idx(file_name)), i )  ! Linux
#endif
	   if( i .ne. 0 ) then
	      write( stdout, * ) 'PLOTE> Cannot rename ',
     >                           file_name(:length)
	      write( stdout, * ) '       Old postscript file might get',
     >                           ' overwritten.'
	      call perror('PLOTE')
	   end if
	end if

	end
